using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class AssignRollNo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        txtdate.Text = DateTime.Now.ToString();
        lbladmissionno.Visible = false;
        lblbranch.Visible = false;
        lbldegree.Visible = false;
        lblerror.Visible = false;
        lblname.Visible = false;
        lblrollno.Visible = false;
        lblregulation.Visible = false;
        txtrollno.Visible = false;
        lblsection.Visible = false;
        drpsection.Visible = false;
        LabelAdmisionno.Visible = false;
        LabelBranch.Visible = false;
        LabelDegree.Visible = false;
        Labelname.Visible = false;
        LabelRegulation.Visible = false;
        btnSave.Visible = false;
        lblrollnoerror.Visible = false;

        if (!IsPostBack)
        {
            AssignRollNoDataset dsDataSet = new AssignRollNoDataset();
            SqlDataAdapter myadapter = new SqlDataAdapter();
            SqlCommand selCmd= new SqlCommand();
            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
            selCmd.CommandText = "SELECT * FROM SECTION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SECTION");
            drpsection.DataSource = dsDataSet.SECTION;
            drpsection.DataTextField = "SECTION";
            drpsection.DataValueField = "SECTIONSNO";
            drpsection.DataBind();

        }
    }
    
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        DataSet ds = new DataSet();
        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT sp.STUDENTPERSONALSNO, sp.ADMISSIONNO,sp.NAME,r.REGULATION,d.DEGREESHORTFORM,b.BRANCHSHORTFORM,sp.REGULATIONSNO,sp.DEGREESNO,sp.BRANCHSNO FROM  STUDENTPERSONALDETAILS AS sp INNER JOIN  REGULATION AS r ON sp.REGULATIONSNO =r.REGULATIONSNO  INNER JOIN  BRANCH AS b ON b.BRANCHSNO = b.BRANCHSNO INNER JOIN  DEGREE AS d ON d.DEGREESNO = sp.DEGREESNO WHERE(sp.ADMISSIONNO = @ADMISSIONNO)";

        selCmd.Connection = myconnection;

        SqlDataAdapter adap = new SqlDataAdapter();

        selCmd.Parameters.Add("@ADMISSIONNO", SqlDbType.Int, 4, "ADMISSIONNO");



        selCmd.Parameters["@ADMISSIONNO"].Value = txtadmissionno.Text;

        adap.SelectCommand = selCmd;
        try
        {
            adap.Fill(ds, "STUDENTPERSONALDETAILS");
            if (Convert.ToInt32(ds.Tables[0].Rows.Count) == 0)
            {
                lblerror.Visible = true;
                ds.AcceptChanges();
            }
            else
            {
                lblname.Visible = true;
                lbladmissionno.Visible = true;
                lblregulation.Visible = true;
                lbldegree.Visible = true;
                lblbranch.Visible = true;
                lblrollno.Visible = true;
                txtrollno.Visible = true;
                lblsection.Visible = true;
                drpsection.Visible = true;
                LabelAdmisionno.Visible = true;
                LabelBranch.Visible = true;
                LabelDegree.Visible = true;
                Labelname.Visible = true;
                LabelRegulation.Visible = true;

                lbladmissionno.Text = Convert.ToString(ds.Tables[0].DefaultView[0][1]);
                lblname.Text = Convert.ToString(ds.Tables[0].DefaultView[0][2]);
                lblregulation.Text = Convert.ToString(ds.Tables[0].DefaultView[0][3]);
                lbldegree.Text = Convert.ToString(ds.Tables[0].DefaultView[0][4]);
                lblbranch.Text = Convert.ToString(ds.Tables[0].DefaultView[0][5]);
                btnSave.Visible = true;
                Session["StuPerssnoAssignRollno"] = ds.Tables[0].DefaultView[0][0];
                Session["RegulationAssignRollno"] = ds.Tables[0].DefaultView[0][6];
                Session["DegreeAssignRollno"] = ds.Tables[0].DefaultView[0][7];
                 Session["BranchAssignRollno"] = ds.Tables[0].DefaultView[0][8];


            }
        }
        catch
        {
            lblerror.Visible = true;
        }
    }
    protected void btnSave_Click1(object sender, EventArgs e)
    {
        if (IsValid)
        {

            SqlDataAdapter adap = new SqlDataAdapter();
            SqlCommand insertcmd = new SqlCommand();
            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            AssignRollNoDataset mydataset = new AssignRollNoDataset();

            AssignRollNoDataset.STUDENTROLLNODataTable mytable = mydataset.STUDENTROLLNO;
            AssignRollNoDataset.STUDENTROLLNORow myrow = mytable.NewSTUDENTROLLNORow();



            insertcmd.CommandText = "INSERT INTO STUDENTROLLNO VALUES(@STUDENTPERSONALSNO,@ROLLNO,@REGULATIONSNO,@DEGREESNO,@BRANCHSNO,@SECTIONSNO,@DATE)";
            insertcmd.Connection = myconnection;

            insertcmd.Parameters.Add("@STUDENTPERSONALSNO", SqlDbType.Int, 4, "STUDENTPERSONALSNO");
            insertcmd.Parameters.Add("@ROLLNO", SqlDbType.Int, 4, "ROLLNO");
            insertcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            insertcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            insertcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            insertcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            insertcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");

            myrow.BeginEdit();


            myrow.STUDENTROLLSNO = 8;
            myrow.STUDENTPERSONALSNO = Convert.ToInt32(Session["StuPerssnoAssignRollno"]);
            myrow.ROLLNO = Convert.ToInt32(txtrollno.Text);
            myrow.REGULATIONSNO = Convert.ToInt32(Session["RegulationAssignRollno"]);
            myrow.DEGREESNO = Convert.ToInt32(Session["DegreeAssignRollno"]);
            myrow.BRANCHSNO = Convert.ToInt32(Session["BranchAssignRollno"]);
            myrow.SECTIONSNO = Convert.ToInt32(drpsection.SelectedValue);
            myrow.DATE = Convert.ToDateTime(txtdate.Text);

            myrow.EndEdit();

            mytable.AddSTUDENTROLLNORow(myrow);

            adap.InsertCommand = insertcmd;
            try
            {

                adap.Update(mydataset, "STUDENTROLLNO");
            }
            catch
            {
                lblrollnoerror.Visible = true;
            }
            mydataset.AcceptChanges();



        }
    }
}
