using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class TimeTableMaintenance : System.Web.UI.Page
{
    int noofperiod = 8;
    static int sno = 0;

    ArrayList idsubject = new ArrayList();
    ArrayList idstaff = new ArrayList();

    DATASETTIMETABLE dsDataSet = new DATASETTIMETABLE();
    protected void Page_Load(object sender, EventArgs e)
    {
        txtdate.Text = Convert.ToString(cldate.SelectedDate);



        if (!IsPostBack)
        {
            SqlDataAdapter myadapter = new SqlDataAdapter();

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SqlCommand selCmd = new SqlCommand();
            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;


            //DATASETTIMETABLE  dsDataSet = new DATASETTIMETABLE ();
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "BRANCH");
            drpbranch.DataSource = dsDataSet.BRANCH;
            drpbranch.DataTextField = "BRANCHSHORTFORM";
            drpbranch.DataValueField = "BRANCHSNO";
            drpbranch.DataBind();




            selCmd.CommandText = "SELECT * FROM SEM";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SEM");
            drpsem.DataSource = dsDataSet.SEM;
            drpsem.DataTextField = "SEMSNO";
            drpsem.DataValueField = "SEMSNO";
            drpsem.DataBind();



            selCmd.CommandText = "SELECT * FROM DEGREE";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "DEGREE");

            drpdegree.DataSource = dsDataSet.DEGREE;
            drpdegree.DataTextField = "DEGREESHORTFORM";
            drpdegree.DataValueField = "DEGREESNO";
            drpdegree.DataBind();

            selCmd.CommandText = "SELECT * FROM SECTION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SECTION");
            drpsection.DataSource = dsDataSet.SECTION;
            drpsection.DataTextField = "SECTION";
            drpsection.DataValueField = "SECTIONSNO";
            drpsection.DataBind();


            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "REGULATION");
           drpregulation.DataSource = dsDataSet.REGULATION;
           drpregulation.DataTextField = "REGULATION";
           drpregulation.DataValueField = "REGULATIONSNO";
           drpregulation.DataBind();


        }

        if (txtperiodno.Text != "")
        {
            noofperiod = Convert.ToInt32(txtperiodno.Text);
            idsubject.Capacity = 5 * Convert.ToInt32(txtperiodno.Text);
        }
        else
        {
            idsubject.Capacity = 40;

        }
        DataGrid TimeTableGrid = new DataGrid();
        TimeTableGrid.ID = "TimeTableGrid";
        TimeTableGrid.BorderColor = System.Drawing.Color.Black;
        TimeTableGrid.CellPadding = 3;
        TimeTableGrid.AutoGenerateColumns = false;
        TimeTableGrid.HeaderStyle.BackColor =
            System.Drawing.Color.FromArgb(0x0000aaaa);


        TimeTableGrid.Columns.Add(CreateBoundColumn("StringValue", "Day/period"));
        for (int i = 1; i <= noofperiod; i++)
        {
            TimeTableGrid.Columns.Add(CreateBoundColumn(Convert.ToString(i), Convert.ToString(i)));
        }


        TimeTableGrid.DataSource = CreateDataSource();
        TimeTableGrid.DataBind();
        Place.Visible = false;
        Place.Controls.Add(TimeTableGrid);

        SqlDataAdapter myadapter1 = new SqlDataAdapter();

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd1 = new SqlCommand();
        selCmd1.CommandText = "SELECT * FROM SUBJECT AS s INNER JOIN    SUBJECTMAINTAIN AS sm ON s.SUBJECTSNO = sm.SUBJECTSNO WHERE      (sm.REGULATIONSNO = @REGULATIONSNO) AND (sm.BRANCHSNO = @BRANCHSNO) AND (sm.SEMSNO = @SEMSNO)";

        selCmd1.Connection = myconnection1;

        selCmd1.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd1.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");



        selCmd1.Parameters["@REGULATIONSNO"].Value = drpregulation.SelectedValue;
        selCmd1.Parameters["@BRANCHSNO"].Value = drpbranch.SelectedValue;
        selCmd1.Parameters["@SEMSNO"].Value = drpsem.SelectedValue;


        myadapter1.SelectCommand = selCmd1;
        myadapter1.Fill(dsDataSet, "SUBJECT");
        dsDataSet.AcceptChanges();
        //  myadapter1.Fill(dtsubject, "SUBJECT");

        DataGrid dg = (DataGrid)Place.Controls[0];
        int columcount = Convert.ToInt32(dg.Columns.Count);
        int rowcount = Convert.ToInt32(dg.Items.Count);

        for (int i = 1; i < columcount; i++)
        {

            for (int j = 0; j < rowcount; j++)
            {


                dg.Items[j].Cells[i].Controls.Add(ParseControl(" <asp:DropDownList ID='drpsubject' runat='server'></asp:DropDownList>"));
                DropDownList drpp = (DropDownList)dg.Items[j].Cells[i].Controls[0].FindControl("drpsubject");

                drpp.ID = "drpsubject" + Convert.ToString(j) + Convert.ToString(i - 1);
                idsubject.Add("drpsubject" + Convert.ToString(j) + Convert.ToString(i - 1));
                drpp.DataSource = dsDataSet.SUBJECT;
                drpp.DataTextField = "SUBJECTNAME";
                drpp.DataValueField = "SUBJECTSNO";
                drpp.DataBind();
            }


        }

        DataGrid Gridstaffassign = new DataGrid();
        Gridstaffassign.ID = "Gridstaffassign";
        Gridstaffassign.BorderColor = System.Drawing.Color.Black;
        Gridstaffassign.CellPadding = 3;
        Gridstaffassign.AutoGenerateColumns = false;
        Gridstaffassign.HeaderStyle.BackColor =
            System.Drawing.Color.FromArgb(0x0000aaaa);

        Gridstaffassign.Columns.Add(CreateBoundColumn("SubjectName", "SubjectName"));
        Gridstaffassign.Columns.Add(CreateBoundColumn("StaffName", "StaffName"));


        Gridstaffassign.DataSource = CreateDataSourceSA();
        Gridstaffassign.DataBind();


        Place.Controls.Add(Gridstaffassign);


        selCmd1.CommandText = "SELECT * FROM STAFF";
        selCmd1.Connection = myconnection1;



        myadapter1.SelectCommand = selCmd1;
        myadapter1.Fill(dsDataSet, "STAFF");
        dsDataSet.AcceptChanges();




        dg = (DataGrid)Place.Controls[1];
        rowcount = Convert.ToInt32(dg.Items.Count);
        for (int j = 0; j < rowcount; j++)
        {
            dg.Items[j].Cells[1].Controls.Add(ParseControl(" <asp:DropDownList ID='drpstaff' runat='server'></asp:DropDownList>"));
            DropDownList drpp = (DropDownList)dg.Items[j].Cells[1].Controls[0].FindControl("drpstaff");

            drpp.ID = "drpstaff" + Convert.ToString(j);
            idstaff.Add("drpstaff" + Convert.ToString(j));
            drpp.DataSource = dsDataSet.STAFF;
            drpp.DataTextField = "STAFFNAME";
            drpp.DataValueField = "STAFFSNO";
            drpp.DataBind();
        }
    }


    ICollection CreateDataSourceSA()
    {
        DataTable dt = new DataTable();
        DataRow dr;
        dt.Columns.Add(new DataColumn("SubjectName", typeof(string)));
        dt.Columns.Add(new DataColumn("StaffName", typeof(string)));


        for (int i = 0; i < Convert.ToInt32(dsDataSet.SUBJECT.DefaultView.Count); i++)
        {
            dr = dt.NewRow();
            dr[0] = Convert.ToString(dsDataSet.SUBJECT.DefaultView[i][1]);
           
            dt.Rows.Add(dr);

        }

        DataView dv = new DataView(dt);
        return dv;
    }



    ICollection CreateDataSource()
    {

      
        DataTable dt = new DataTable();
        DataRow dr;
        dt.Columns.Add(new DataColumn("StringValue", typeof(string)));
        for (int i = 1; i <= noofperiod; i++)
        {
            dt.Columns.Add(new DataColumn(Convert.ToString(i), typeof(string)));
        }

        string[] day ={ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY" };

        for (int i = 0; i < 5; i++)
        {
            dr = dt.NewRow();
            dr[0] = day[i];


            for (int j = 1; j <= noofperiod; j++)
            {
                dr[j] = "";
            }

            dt.Rows.Add(dr);

        }

        DataView dv = new DataView(dt);
        return dv;

    }




    BoundColumn CreateBoundColumn(String DataFieldValue, String HeaderTextValue)
    {

        BoundColumn column = new BoundColumn();
        column.DataField = DataFieldValue;
        column.HeaderText = HeaderTextValue;
        return column;

    }





    protected void cldate_SelectionChanged1(object sender, EventArgs e)
    {
        txtdate.Text = Convert.ToString(cldate.SelectedDate);
        cldate.Visible = false;
    }
    protected void btnload_Click(object sender, EventArgs e)
    {
        Place.Visible = true;


        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlDataAdapter adap = new SqlDataAdapter();


        try
        {

            SqlCommand insertcmd = new SqlCommand();
            insertcmd.CommandText = "INSERT INTO TIMETABLEGENERAL VALUES(@REGULATIONSNO,@DEGREESNO,@BRANCHSNO,@SEMSNO,@SECTIONSNO,@DATE) ; SELECT * FROM TIMETABLEGENERAL WHERE ( TIMETABLESNO = SCOPE_IDENTITY() )";
            insertcmd.Connection = myconnection;
            insertcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            insertcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            insertcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            insertcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            insertcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            insertcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");

            DATASETTIMETABLE ds = new DATASETTIMETABLE();
            DATASETTIMETABLE.TIMETABLEGENERALDataTable dstab = ds.TIMETABLEGENERAL;
            DATASETTIMETABLE.TIMETABLEGENERALRow dsrow = dstab.NewTIMETABLEGENERALRow();


            dsrow.BeginEdit();
            dsrow.REGULATIONSNO = Convert.ToInt32(drpregulation.SelectedValue);
            dsrow.DEGREESNO = Convert.ToInt32(drpdegree.SelectedValue);
            dsrow.BRANCHSNO = Convert.ToInt32(drpbranch.SelectedValue);
            dsrow.SEMSNO = Convert.ToInt32(drpsem.SelectedValue);
            dsrow.SECTIONSNO = Convert.ToInt32(drpsection.SelectedValue);

            dsrow.DATE = cldate.SelectedDate;
            dsrow.TIMETABLESNO = 3;
            dsrow.EndEdit();
            dstab.AddTIMETABLEGENERALRow(dsrow);

            adap.InsertCommand = insertcmd;

            adap.Update(ds, "TIMETABLEGENERAL");
            sno = Convert.ToInt32(ds.TIMETABLEGENERAL.DefaultView[0][0]);
            ds.AcceptChanges();
        }

        catch
        {
            DATASETTIMETABLE dsSELECT = new DATASETTIMETABLE();
            SqlCommand selectcmd = new SqlCommand();

            selectcmd.CommandText = "SELECT * FROM TIMETABLEGENERAL WHERE (REGULATIONSNO = @REGULATIONSNO )AND(DEGREESNO = @DEGREESNO)AND(BRANCHSNO = @BRANCHSNO)AND(SEMSNO = @SEMSNO)AND(SECTIONSNO = @SECTIONSNO)";
            selectcmd.Connection = myconnection;
            selectcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selectcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            selectcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selectcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selectcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
           // selectcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");

            adap.SelectCommand = selectcmd;

            selectcmd.Parameters["@REGULATIONSNO"].Value = Convert.ToInt32(drpregulation.SelectedValue);
            selectcmd.Parameters["@DEGREESNO"].Value = Convert.ToInt32(drpdegree.SelectedValue);
            selectcmd.Parameters["@BRANCHSNO"].Value = Convert.ToInt32(drpbranch.SelectedValue);
            selectcmd.Parameters["@SEMSNO"].Value = Convert.ToInt32(drpsem.SelectedValue);
            selectcmd.Parameters["@SECTIONSNO"].Value = Convert.ToInt32(drpsection.SelectedValue);
       //     selectcmd.Parameters["@DATE"].Value = cldate.SelectedDate;

            adap.Fill(dsSELECT, "TIMETABLEGENERAL");
            sno = Convert.ToInt32(dsSELECT.TIMETABLEGENERAL.DefaultView[0][0]);
            dsSELECT.AcceptChanges();

        }



    }

    protected void DataGridTimetable_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        cldate.Visible = true;
    }
    protected void btnsave_Click(object sender, EventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlDataAdapter adap = new SqlDataAdapter();


        SqlCommand insertcmd = new SqlCommand();
        insertcmd.CommandText = "INSERT INTO TIMETABLE VALUES(@TIMETABLESNO,@PERIODNO,@MONDAY,@TUESDAY,@WEDNESDAY,@THURSDAY,@FRIDAY)";
        insertcmd.Connection = myconnection;
        insertcmd.Parameters.Add("@TIMETABLESNO", SqlDbType.Int, 4, "TIMETABLESNO");
        insertcmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");
        insertcmd.Parameters.Add("@MONDAY", SqlDbType.Int, 4, "MONDAY");
        insertcmd.Parameters.Add("@TUESDAY", SqlDbType.Int, 4, "TUESDAY");
        insertcmd.Parameters.Add("@WEDNESDAY", SqlDbType.Int, 4, "WEDNESDAY");
        insertcmd.Parameters.Add("@THURSDAY", SqlDbType.Int, 4, "THURSDAY");
        insertcmd.Parameters.Add("@FRIDAY", SqlDbType.Int, 4, "FRIDAY");


        DATASETTIMETABLE ds = new DATASETTIMETABLE();
        DATASETTIMETABLE.TIMETABLEDataTable dstab = ds.TIMETABLE;


        DataGrid dg = (DataGrid)Place.Controls[0];
        int j = 0;
        for (int i = 1; i <= noofperiod; i++)
        {
            DATASETTIMETABLE.TIMETABLERow dsrow = dstab.NewTIMETABLERow();
            DropDownList drpp1 = (DropDownList)dg.Items[0].Cells[i].Controls[0].FindControl(Convert.ToString(idsubject[j]));
            j++;
            DropDownList drpp2 = (DropDownList)dg.Items[1].Cells[i].Controls[0].FindControl(Convert.ToString(idsubject[j]));
            j++;
            DropDownList drpp3 = (DropDownList)dg.Items[2].Cells[i].Controls[0].FindControl(Convert.ToString(idsubject[j]));
            j++;
            DropDownList drpp4 = (DropDownList)dg.Items[3].Cells[i].Controls[0].FindControl(Convert.ToString(idsubject[j]));
            j++;
            DropDownList drpp5 = (DropDownList)dg.Items[4].Cells[i].Controls[0].FindControl(Convert.ToString(idsubject[j]));
            j++;

            dsrow.BeginEdit();

            dsrow.TIMETABLESNO = sno;
            dsrow.PERIODNO = Convert.ToInt32(dg.Columns[i].HeaderText);
            dsrow.MONDAY = Convert.ToInt32(drpp1.SelectedValue);
            dsrow.TUESDAY = Convert.ToInt32(drpp2.SelectedValue);
            dsrow.WEDNESDAY = Convert.ToInt32(drpp3.SelectedValue);
            dsrow.THURSDAY = Convert.ToInt32(drpp4.SelectedValue);
            dsrow.FRIDAY = Convert.ToInt32(drpp5.SelectedValue);

            dsrow.BeginEdit();
            dstab.AddTIMETABLERow(dsrow);
        }



        adap.InsertCommand = insertcmd;

        adap.Update(ds, "TIMETABLE");
        ds.AcceptChanges();

        SqlCommand insertcmd1 = new SqlCommand();
        insertcmd1.CommandText = "INSERT INTO TIMETABLESTAFF VALUES(@TIMETABLESNO,@SUBJECTSNO,@STAFFSNO)";
        insertcmd1.Connection = myconnection;
        insertcmd1.Parameters.Add("@TIMETABLESNO", SqlDbType.Int, 4, "TIMETABLESNO");
        insertcmd1.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        insertcmd1.Parameters.Add("@STAFFSNO", SqlDbType.Int, 4, "STAFFSNO");

        DATASETTIMETABLE.TIMETABLESTAFFDataTable Dtstaff = ds.TIMETABLESTAFF;

        dg = (DataGrid)Place.Controls[1];
        j = 0;
        for (int i = 0; i < dg.Items.Count; i++)
        {
            DATASETTIMETABLE.TIMETABLESTAFFRow rowstaff = Dtstaff.NewTIMETABLESTAFFRow();
            DropDownList drpp = (DropDownList)dg.Items[i].Cells[1].Controls[0].FindControl(Convert.ToString(idstaff[j]));
            j++;
            rowstaff.BeginEdit();

            rowstaff.TIMETABLESNO = sno;
            rowstaff.SUBJECTSNO = Convert.ToInt32(dsDataSet.SUBJECT.DefaultView[i][0]);
            rowstaff.STAFFSNO = Convert.ToInt32(drpp.SelectedValue);
            rowstaff.EndEdit();

            Dtstaff.AddTIMETABLESTAFFRow(rowstaff);
        }


        adap.InsertCommand = insertcmd1;

        adap.Update(ds, "TIMETABLESTAFF");
        ds.AcceptChanges();


    }
}
