using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class PersonalDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SqlDataAdapter myadapter = new SqlDataAdapter();

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            StudentPersonalDetailsDataset mydataset = new StudentPersonalDetailsDataset();

            
            
            SqlCommand selCmd = new SqlCommand();
            selCmd.CommandText = "SELECT * FROM DEGREE";
            selCmd.Connection = myconnection;


            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset , "DEGREE");
            drpdegree.DataSource = mydataset.DEGREE;
          drpdegree.DataTextField = "DEGREESHORTFORM";
           drpdegree.DataValueField = "DEGREESNO";
           drpdegree.DataBind();

           
            selCmd.CommandText = "SELECT * FROM BRANCH WHERE DEGREESNO = @DEGREESNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");


            myadapter.SelectCommand = selCmd;
            selCmd.Parameters["@DEGREESNO"].Value = drpdegree.SelectedValue;
            myadapter.Fill(mydataset, "BRANCH");
           drpbranch .DataSource = mydataset.BRANCH;
           drpbranch.DataTextField = "BRANCHSHORTFORM";
           drpbranch.DataValueField = "BRANCHSNO";
           drpbranch.DataBind();


           selCmd.CommandText = "SELECT * FROM COMMUNITY";
           selCmd.Connection = myconnection;



           myadapter.SelectCommand = selCmd;
           myadapter.Fill(mydataset, "COMMUNITY");
           drpcommunity.DataSource = mydataset.COMMUNITY;
           drpcommunity.DataTextField = "COMMUNITYSHORTFORM";
           drpcommunity.DataValueField = "COMMUNITYSNO";
           drpcommunity.DataBind();


           selCmd.CommandText = "SELECT * FROM QUOTA";
           selCmd.Connection = myconnection;



           myadapter.SelectCommand = selCmd;
           myadapter.Fill(mydataset, "QUOTA");
          drpquota .DataSource = mydataset.QUOTA;
          drpquota.DataTextField = "QUOTASHORTFORM";
          drpquota.DataValueField = "QUOTASNO";
          drpquota.DataBind();


            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "REGULATION");
            Drpregulation.DataSource = mydataset.REGULATION;
            Drpregulation.DataTextField = "REGULATION";
            Drpregulation.DataValueField = "REGULATIONSNO";
            Drpregulation.DataBind();

            selCmd.CommandText = "SELECT * FROM GENDER";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "GENDER");
            drpgender.DataSource = mydataset.GENDER;
            drpgender.DataTextField = "GENDER";
            drpgender.DataValueField = "GENDERSNO";
            drpgender.DataBind();


            selCmd.CommandText = "SELECT * FROM RESIDENCE";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "RESIDENCE");
            drpresidence.DataSource = mydataset.RESIDENCE;
            drpresidence.DataTextField = "RESIDENCE";
            drpresidence.DataValueField = "RESIDENCESNO";
            drpresidence.DataBind();

            selCmd.CommandText = "SELECT * FROM QUALIFYINGEXAMINATION";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "QUALIFYINGEXAMINATION");
            drpqualifingexamination.DataSource = mydataset.QUALIFYINGEXAMINATION;
            drpqualifingexamination.DataTextField = "QUALIFYINGEXAMFULLFORM";
            drpqualifingexamination.DataValueField = "QUALIFYINGEXAMSNO";
            drpqualifingexamination.DataBind();


            selCmd.CommandText = "SELECT * FROM JOINBY";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "JOINBY");
            drpjoinby.DataSource = mydataset.JOINBY;
            drpjoinby.DataTextField = "JOINBY";
            drpjoinby.DataValueField = "JOINBYSNO";
            drpjoinby.DataBind();





        }
    }
    protected void btnadd_Click(object sender, EventArgs e)
    {
        if (IsValid)
        {


            StudentPersonalDetailsDataset mydataset = new StudentPersonalDetailsDataset();
            StudentPersonalDetailsDataset.STUDENTPERSONALDETAILSDataTable mytable = mydataset.STUDENTPERSONALDETAILS;
            StudentPersonalDetailsDataset.STUDENTPERSONALDETAILSRow myrow = mytable.NewSTUDENTPERSONALDETAILSRow();


            SqlConnection MYconnection = new SqlConnection();
            MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


            SqlCommand insertcmd = new SqlCommand();
            insertcmd.CommandText = "INSERT INTO STUDENTPERSONALDETAILS VALUES(@ADMISSIONNO,@NAME,@DEGREESNO,@BRANCHSNO,@COMMUNITYSNO,@GENDERSNO,@QUOTASNO,@RESIDENCESNO,@QUALIFYINGEXAMSNO,@QUALIFYINGEXAMMARK,@JOINBYSNO,@REGULATIONSNO,@FATHERNAME,@MOTHERNAME,@PRESENTADDRESS,@PERMANENTADDRESS,@PHONENO,@MOBILENO,@EMAILID,@REMARKS)";
            insertcmd.Connection = MYconnection;
                             
               
            insertcmd.Parameters.Add("@ADMISSIONNO", SqlDbType.Int , 4, "ADMISSIONNO");
         //  insertcmd.Parameters.Add("@REGISTERNO", SqlDbType.Int, 4, "REGISTERNO");
          //  insertcmd.Parameters.Add("@ROLLNO", SqlDbType.Int, 4, "ROLLNO");

            insertcmd.Parameters.Add("@NAME", SqlDbType.VarChar, 50, "NAME");
            insertcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            insertcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            insertcmd.Parameters.Add("@COMMUNITYSNO", SqlDbType.Int, 4, "COMMUNITYSNO");

            insertcmd.Parameters.Add("@GENDERSNO", SqlDbType.Int, 4, "GENDERSNO");
            insertcmd.Parameters.Add("@QUOTASNO", SqlDbType.Int, 4, "QUOTASNO");
            insertcmd.Parameters.Add("@RESIDENCESNO", SqlDbType.Int, 4, "RESIDENCESNO");
            insertcmd.Parameters.Add("@QUALIFYINGEXAMSNO", SqlDbType.Int, 4, "QUALIFYINGEXAMSNO");
            insertcmd.Parameters.Add("@QUALIFYINGEXAMMARK", SqlDbType.Float, 8, "QUALIFYINGEXAMMARK");
            insertcmd.Parameters.Add("@JOINBYSNO", SqlDbType.Int, 4, "JOINBYSNO");
            insertcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");

            insertcmd.Parameters.Add("@FATHERNAME", SqlDbType.VarChar, 50, "FATHERNAME");
            insertcmd.Parameters.Add("@MOTHERNAME", SqlDbType.VarChar, 50, "MOTHERNAME");
            insertcmd.Parameters.Add("@PRESENTADDRESS", SqlDbType.VarChar, -1, "PRESENTADDRESS");
            insertcmd.Parameters.Add("@PERMANENTADDRESS", SqlDbType.VarChar, -1, "PERMANENTADDRESS");

            insertcmd.Parameters.Add("@PHONENO", SqlDbType.VarChar, 50, "PHONENO");
            insertcmd.Parameters.Add("@MOBILENO", SqlDbType.VarChar, 50, "MOBILENO");
            insertcmd.Parameters.Add("@EMAILID", SqlDbType.VarChar, 50, "EMAILID");
            insertcmd.Parameters.Add("@REMARKS", SqlDbType.VarChar, -1, "REMARKS");

           
            myrow.BeginEdit();

            myrow.ADMISSIONNO = Convert.ToInt32(txtadmissionno.Text);
           // myrow.REGISTERNO = 98;// Convert.ToInt32(txtregisterno.Text);
          //  myrow.ROLLNO = 433;//Convert.ToInt32(txtrollno.Text );
            myrow.NAME = Convert.ToString(txtname.Text);
            myrow.DEGREESNO = Convert.ToInt32(drpdegree.SelectedValue);
            myrow.BRANCHSNO = Convert.ToInt32(drpbranch.SelectedValue);
            myrow.COMMUNITYSNO = Convert.ToInt32(drpcommunity.SelectedValue);
            myrow.GENDERSNO = Convert.ToInt32(drpgender.SelectedValue);
            myrow.QUOTASNO = Convert.ToInt32(drpquota.SelectedValue);
            myrow.RESIDENCESNO = Convert.ToInt32(drpresidence.SelectedValue);
            myrow.QUALIFYINGEXAMSNO = Convert.ToInt32(drpqualifingexamination.SelectedValue);
            myrow.QUALIFYINGEXAMMARK = Convert.ToDouble(txtquxlifyingexammark.Text);
            myrow.JOINBYSNO = Convert.ToInt32(drpjoinby.SelectedValue);
            myrow.REGULATIONSNO = Convert.ToInt32(Drpregulation.SelectedValue);
            myrow.FATHERNAME = Convert.ToString (txtfathername.Text);
            myrow.MOTHERNAME = Convert.ToString(txtmothername.Text );

            myrow.PRESENTADDRESS = Convert.ToString(txtLocaladdress.Text);
            myrow.PERMANENTADDRESS = Convert.ToString(txtPermanentaddress.Text);
            myrow.PHONENO = Convert.ToString(txtPhoneno.Text);
            myrow.MOBILENO = Convert.ToString(txtMobileno.Text);
            myrow.EMAILID = Convert.ToString(txtEmail.Text );
            myrow.REMARKS = Convert.ToString(txtRemarks.Text);
            myrow.EndEdit();

            mytable.AddSTUDENTPERSONALDETAILSRow(myrow);

            SqlDataAdapter adap = new SqlDataAdapter();
            adap.InsertCommand = insertcmd;
            adap.Update(mydataset, "STUDENTPERSONALDETAILS");
            mydataset.AcceptChanges();
        }
    }
    protected void drpdegree_SelectedIndexChanged(object sender, EventArgs e)
    {
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        StudentPersonalDetailsDataset mydataset = new StudentPersonalDetailsDataset();



        SqlCommand selCmd = new SqlCommand();
       


        selCmd.CommandText = "SELECT * FROM BRANCH WHERE DEGREESNO = @DEGREESNO";
        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");


        myadapter.SelectCommand = selCmd;
        selCmd.Parameters["@DEGREESNO"].Value = drpdegree.SelectedValue;
        myadapter.Fill(mydataset, "BRANCH");
        drpbranch.DataSource = mydataset.BRANCH;
        drpbranch.DataTextField = "BRANCHSHORTFORM";
        drpbranch.DataValueField = "BRANCHSNO";
        drpbranch.DataBind();
    }
}
