using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


public partial class EditCompanyname : System.Web.UI.Page
{
    AddComapny mycompanydataset = new AddComapny();

    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM COMPANY ORDER BY COMPANYSNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(mycompanydataset, "COMPANY");
        mycompanydataset.AcceptChanges();

    }


    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT COMPANYNAME FROM COMPANY ORDER BY COMPANYSNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "COMPANY");
        DataGridEditCompany.DataSource = dsDataSet.Tables[0];
        DataGridEditCompany.DataBind();

    }
    protected void DataGridEditCompany_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditCompany.EditItemIndex = e.Item.ItemIndex;
        Session["CompanySno"] = mycompanydataset.COMPANY.DefaultView[e.Item.ItemIndex][0];
        BindGrid();

    }
    protected void DataGridEditCompany_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

        AddComapny  dsSet = new AddComapny ();

        selcommand.CommandText = "SELECT * FROM COMPANY WITH(ROWLOCK) WHERE COMPANYSNO= @COMPANYSNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@COMPANYSNO", SqlDbType.Int, 4, "COMPANYSNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@COMPANYSNO"].Value = Session["CompanySno"];


        adapterselect.Fill(dsSet, "COMPANY");
        dsSet.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE COMPANY SET COMPANYNAME = @COMPANYNAME  WHERE COMPANYSNO = @COMPANYSNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@COMPANYSNO", SqlDbType.Int, 4, "COMPANYSNO");
        UpdCommand.Parameters.Add("@COMPANYNAME", SqlDbType.VarChar, 50, "COMPANYNAME");



        SqlDataAdapter adapter = new SqlDataAdapter();
        
        if (dsSet.COMPANY.Rows.Count != 0)
        {
            AddComapny.COMPANYDataTable mytable = dsSet.COMPANY;
            
            mytable.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;


            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@COMPANYSNO"].Value = Session["CompanySno"];
            adapter.Update(dsSet, "COMPANY");

            dsSet.AcceptChanges();

            DataGridEditCompany.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditCompany.EditItemIndex = -1;
            BindGrid();

        }
    }
    protected void DataGridEditCompany_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditCompany.EditItemIndex = -1;
        BindGrid();

    }
    protected void DataGridEditCompany_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE COMPANY WHERE COMPANYSNO = @COMPANYSNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@COMPANYSNO", SqlDbType.Int, 4, "COMPANYSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc = mycompanydataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(mycompanydataset, "COMPANY");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        mycompanydataset.AcceptChanges();
        BindGrid();
    }
}
