using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


public partial class FINALRESULT : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       
    }
    protected void btnfinalplacedsave_Click(object sender, EventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

        SqlCommand inscmd = new SqlCommand();
        inscmd.CommandText = "INSERT INTO FINALRESULT VALUES(@COMPANYPROFILESNO);SELECT * FROM FINALRESULT WHERE ( FINALRESULTSNO = SCOPE_IDENTITY() )";
        inscmd.Connection = myconnection;
        inscmd.Parameters.Add("@COMPANYPROFILESNO", SqlDbType.Int, 4, "COMPANYPROFILESNO");


        PLACEMENTDATASET dsDataSet = new PLACEMENTDATASET();
        PLACEMENTDATASET.FINALRESULTDataTable finalresulttable = dsDataSet.FINALRESULT;
        PLACEMENTDATASET.FINALRESULTRow finalresultrow = finalresulttable.NewFINALRESULTRow();

        finalresultrow.BeginEdit();

        finalresultrow.COMPANYPROFILESNO = Convert.ToInt32(Session["companyprofilesno"]);
        finalresultrow.FINALRESULTSNO = 50;
        finalresulttable.AddFINALRESULTRow(finalresultrow);
        finalresultrow.EndEdit();


        SqlDataAdapter adap = new SqlDataAdapter();
        adap.InsertCommand = inscmd;
        adap.Update(dsDataSet, "FINALRESULT");
        dsDataSet.AcceptChanges();
               
        SqlCommand selectcmd = new SqlCommand();

        selectcmd.CommandText = "SELECT * FROM ROUNDRESULTSTUDENT WHERE RESULTSNO=@RESULTSNO";
        selectcmd.Connection = myconnection;
        selectcmd.Parameters.Add("@RESULTSNO", SqlDbType.Int, 4, "RESULTSNO");
      // selectcmd.Parameters.Add("@REGNO", SqlDbType.Int, 4, "REGNO");
        selectcmd.Parameters["@RESULTSNO"].Value = Session["resultsno"];

      
      

        PLACEMENTDATASET refroundresultdataset = new PLACEMENTDATASET();
        PLACEMENTDATASET.ROUNDRESULTSTUDENTDataTable refroundresulttable = refroundresultdataset.ROUNDRESULTSTUDENT;
        PLACEMENTDATASET.ROUNDRESULTSTUDENTRow refroundresultrow = refroundresulttable.NewROUNDRESULTSTUDENTRow();

        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = selectcmd;
        adapter.Fill(refroundresultdataset, "ROUNDRESULTSTUDENT");
        refroundresultdataset.AcceptChanges();


        Session["finalresultsno"] =Convert .ToInt32 (dsDataSet.FINALRESULT.DefaultView[0][0]);

        SqlCommand inscmd1 = new SqlCommand();
        inscmd1.CommandText = "INSERT INTO PLACEDSTUDENT VALUES(@FINALRESULTSNO,@PLACEDSTUDENTREGNO);SELECT * FROM FINALRESULT WHERE ( FINALRESULTSNO = SCOPE_IDENTITY() )";
        inscmd1.Connection = myconnection;
        inscmd1.Parameters.Add("@FINALRESULTSNO", SqlDbType.Int, 4, "FINALRESULTSNO");
        inscmd1.Parameters.Add("@PLACEDSTUDENTREGNO", SqlDbType.Int, 4, "PLACEDSTUDENTREGNO");
        PLACEMENTDATASET.PLACEDSTUDENTDataTable placedstudtable = dsDataSet.PLACEDSTUDENT;
        


        for (int i = 0; i < refroundresultdataset.ROUNDRESULTSTUDENT.Rows.Count ; i++)
        {
            PLACEMENTDATASET.PLACEDSTUDENTRow placedstudrow = placedstudtable.NewPLACEDSTUDENTRow();

            placedstudrow.BeginEdit();
            placedstudrow.FINALRESULTSNO =Convert.ToInt32 (Session["finalresultsno"]);
            placedstudrow.PLACEDSTUDENTREGNO = Convert.ToInt32 (refroundresultdataset.ROUNDRESULTSTUDENT.DefaultView[i][1]);
                
            placedstudrow.EndEdit();
            placedstudtable.AddPLACEDSTUDENTRow(placedstudrow);

            
        }

        SqlDataAdapter adap1 = new SqlDataAdapter();
        adap1.InsertCommand = inscmd1;
        adap1.Update(dsDataSet, "PLACEDSTUDENT");
        dsDataSet.AcceptChanges();




                      
    }

    protected void btnViewplacedstudents_Click(object sender, EventArgs e)
    {
        SqlConnection myplacementconnection = new SqlConnection();
        myplacementconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
            
        SqlCommand selectcmd = new SqlCommand();

        selectcmd.CommandText = "SELECT  ps.PLACEDSTUDENTREGNO,sp.NAME,b.BRANCHSHORTFORM,cp.SALARY,c.COMPANYNAME FROM PLACEDSTUDENT ps INNER JOIN  FINALRESULT  fr ON ps.FINALRESULTSNO=fr.FINALRESULTSNO INNER JOIN  COMPANYPROFILE cp ON cp.COMPANYPROFILESNO=fr.COMPANYPROFILESNO INNER JOIN STUDENTPERSONAL sp ON ps.PLACEDSTUDENTREGNO=sp.REGNO INNER JOIN BRANCH b ON b.BRANCHSNO=sp.BRANCHSNO INNER JOIN COMPANY c ON c.COMPANYSNO=cp.COMPANYSNO WHERE (fr.FINALRESULTSNO =@FINALRESULTSNO)";
        selectcmd.Connection = myplacementconnection;
        selectcmd.Parameters.Add("@FINALRESULTSNO", SqlDbType.Int, 4, "FINALRESULTSNO");
        DataSet  dsDataSet = new DataSet ();

        SqlDataAdapter adapdatasetselect = new SqlDataAdapter();
        adapdatasetselect.SelectCommand = selectcmd;

        selectcmd.Parameters["@FINALRESULTSNO"].Value = Convert.ToInt32(Session["finalresultsno"]);
       
        adapdatasetselect.Fill(dsDataSet, "PLACEDSTUDENT");
     //   companyprofilesno = Convert.ToInt32(dsDataSet.COMPANYPROFILE.DefaultView[0][0]);
        dsDataSet.AcceptChanges();

        dgplacedstudent.DataSource = dsDataSet.Tables[0];
        dgplacedstudent.DataBind();


    }
}
