using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class AttendanceEntry : System.Web.UI.Page
{
   
    protected void Page_Load(object sender, EventArgs e)
    {
        lblerror.Visible = false;
      
        if (!IsPostBack)
        {
            Calendar1.SelectedDate = DateTime.Now.Date;           
            
            SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        
           
            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;


            AttendanceDataset dsDataSet = new AttendanceDataset();
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "BRANCH");
            drpdownbranch.DataSource = dsDataSet.BRANCH;
            drpdownbranch.DataTextField = "BRANCHSHORTFORM";
            drpdownbranch.DataValueField = "BRANCHSNO";
            drpdownbranch.DataBind();




            selCmd.CommandText = "SELECT * FROM SEM";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SEM");
            drpdownsem.DataSource = dsDataSet.SEM;
            drpdownsem.DataTextField = "SEMSNO";
            drpdownsem.DataValueField = "SEMSNO";
            drpdownsem.DataBind();



            selCmd.CommandText = "SELECT * FROM DEGREE";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "DEGREE");

            drpdowndegree.DataSource = dsDataSet.DEGREE;
            drpdowndegree.DataTextField = "DEGREESHORTFORM";
            drpdowndegree.DataValueField = "DEGREESNO";
            drpdowndegree.DataBind();

            selCmd.CommandText = "SELECT * FROM SECTION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SECTION");
            drpdownsection.DataSource = dsDataSet.SECTION;
            drpdownsection.DataTextField = "SECTION";
            drpdownsection.DataValueField = "SECTIONSNO";
            drpdownsection.DataBind();


            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "REGULATION");
            drpdowmregulation.DataSource = dsDataSet.REGULATION;
            drpdowmregulation.DataTextField = "REGULATION";
            drpdowmregulation.DataValueField = "REGULATIONSNO";
            drpdowmregulation.DataBind();


        }


    }
   
    protected void btnload_Click(object sender, EventArgs e)
    {
        lblperiod.Visible = true ;
        lblrollno.Visible = true;
        lblsubject.Visible = true;
        drpdownperiod.Visible = true;
        drpdownsubject.Visible = true;
        chkAllPresent.Visible = true;
        rbaborpre.Visible = true;
        txtrollno.Visible = true;
        btnSubmit.Visible = true;



        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT t.PERIODNO FROM TIMETABLE AS t INNER JOIN TIMETABLEGENERAL AS tg ON tg.TIMETABLESNO = t.TIMETABLESNO   WHERE  (tg.REGULATIONSNO = @REGULATIONSNO) AND (tg.DEGREESNO = @DEGREESNO) AND (tg.BRANCHSNO = @BRANCHSNO)AND (tg.SEMSNO = @SEMSNO)AND (tg.SECTIONSNO = @SECTIONSNO)";
        selCmd.Connection = myconnection;
 
        selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        
       
        selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
        selCmd.Parameters["@DEGREESNO"].Value =drpdowndegree.SelectedValue ;
        selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue ;
        selCmd.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
        selCmd.Parameters["@SECTIONSNO"].Value =drpdownsection.SelectedValue ;
       
       
        
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "TIMETABLE");
        drpdownperiod.DataSource = dsDataSet;
        drpdownperiod.DataTextField = "PERIODNO";
        drpdownperiod.DataValueField = "PERIODNO";
        drpdownperiod.DataBind();





        SqlCommand selCmd1 = new SqlCommand();
        selCmd1.CommandText = "SELECT * FROM SUBJECT AS s INNER JOIN SUBJECTMAINTAIN AS sm ON sm.SUBJECTSNO = s.SUBJECTSNO   WHERE  (sm.REGULATIONSNO = @REGULATIONSNO) AND (sm.BRANCHSNO = @BRANCHSNO)AND (sm.SEMSNO = @SEMSNO)";
        selCmd1.Connection = myconnection;

        selCmd1.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd1.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        
        selCmd1.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
        selCmd1.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
        selCmd1.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
      

        DataSet ds= new DataSet();
        myadapter.SelectCommand = selCmd1;
        myadapter.Fill(ds, "SUBJECT");
        drpdownsubject.DataSource = ds;
        drpdownsubject.DataTextField = "SUBJECTNAME";
        drpdownsubject.DataValueField = "SUBJECTSNO";
        drpdownsubject.DataBind();



    }
    protected void chkAllPresent_CheckedChanged(object sender, EventArgs e)
    {
        if (chkAllPresent.Checked == true)
        {
            lblrollno.Visible = false ;
            rbaborpre.Visible = false;
            txtrollno.Visible = false;
           
        }
        else
        {
            lblrollno.Visible = true;
            rbaborpre.Visible = true;
            txtrollno.Visible = true;
        }
    }


    int[] parsefunction(String str)
    {


        char[] delimiterChars = { ' ', ',', '.', ':', '\t', '-' };
        string[] words = str.Split(delimiterChars);

        int[] arra = new int[words.Length];
        for (int i = 0; i < words.Length; i++)
        {
            try
            {
                arra[i] = Convert.ToInt32(words[i]);
            }
            catch
            {

            }
        }
        return arra;

    }




    int insertattendance()
    {
        AttendanceDataset DS = new AttendanceDataset();
        AttendanceDataset.ATTENDANCEDataTable mytable = DS.ATTENDANCE;
        AttendanceDataset.ATTENDANCERow myrow = mytable.NewATTENDANCERow();

        SqlConnection MYconnection = new SqlConnection();
        MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
        

        SqlCommand insertcmd = new SqlCommand();
        insertcmd.CommandText = "INSERT INTO ATTENDANCE VALUES(@REGULATIONSNO,@DEGREESNO,@BRANCHSNO,@SEMSNO,@SECTIONSNO,@PERIODNO,@SUBJECTSNO,@DATE) ; SELECT * FROM ATTENDANCE WHERE ( ATTENDANCESNO = SCOPE_IDENTITY() )";
        insertcmd.Connection = MYconnection;
        insertcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        insertcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        insertcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        insertcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        insertcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        insertcmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");
        insertcmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");

        insertcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");



        myrow.BeginEdit();
        myrow.DEGREESNO = Convert.ToInt32(drpdowndegree.SelectedValue);
        myrow.BRANCHSNO = Convert.ToInt32(drpdownbranch.SelectedValue);
        myrow.SEMSNO = Convert.ToInt32(drpdownsem.SelectedValue);
        myrow.SECTIONSNO = Convert.ToInt32(drpdownsection.SelectedValue);
        myrow.PERIODNO = Convert.ToInt32(drpdownperiod.SelectedValue);
        myrow.SUBJECTSNO = Convert.ToInt32(drpdownsubject.SelectedValue);
        myrow.REGULATIONSNO = Convert.ToInt32(drpdowmregulation.SelectedValue);
        myrow.DATE = Calendar1.SelectedDate;
        myrow.ATTENDANCESNO = 3;
        myrow.EndEdit();

        mytable.AddATTENDANCERow(myrow);

        try
        {
            SqlDataAdapter adapins = new SqlDataAdapter();
            adapins.InsertCommand = insertcmd;

            adapins.Update(DS, "ATTENDANCE");
            DS.AcceptChanges();
            return  Convert.ToInt32(DS.ATTENDANCE.DefaultView[0][0]);
        }
        catch
        {
            SqlCommand selectcmd = new SqlCommand();



            selectcmd.CommandText = "SELECT * FROM ATTENDANCE WHERE (BRANCHSNO = @BRANCHSNO AND DEGREESNO = @DEGREESNO AND SEMSNO = @SEMSNO AND SECTIONSNO = @SECTIONSNO AND PERIODNO = @PERIODNO AND  REGULATIONSNO = @REGULATIONSNO AND DATE = @DATE)";
            selectcmd.Connection = MYconnection;
            selectcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selectcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            selectcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selectcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            selectcmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");
            // selectcmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
            selectcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selectcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");

            AttendanceDataset datasetselect = new AttendanceDataset();
            SqlDataAdapter adapdatasetselect = new SqlDataAdapter();
            adapdatasetselect.SelectCommand = selectcmd;

            selectcmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
            selectcmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
            selectcmd.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
            selectcmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;
            selectcmd.Parameters["@PERIODNO"].Value = drpdownperiod.SelectedValue;
            //  selectcmd.Parameters["@SUBJECTSNO"].Value = drpdownsubject.SelectedValue;
            selectcmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
            selectcmd.Parameters["@DATE"].Value = Calendar1.SelectedDate;

            adapdatasetselect.Fill(datasetselect, "ATTENDANCE");
            datasetselect.AcceptChanges();
           return  Convert.ToInt32(datasetselect.ATTENDANCE.DefaultView[0][0]);

        }

    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {   
        AttendanceDataset DS = new AttendanceDataset();
        AttendanceDataset.ATTENDANCEDataTable mytable = DS.ATTENDANCE;
        AttendanceDataset.ATTENDANCERow myrow = mytable.NewATTENDANCERow();
       

        int attendancesno=0;
        SqlConnection MYconnection = new SqlConnection();
        MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
        String str = txtrollno.Text;
        

        SqlCommand selCmd = new SqlCommand();
        DataSet MYDATASETROLLNO = new DataSet();
        
        selCmd.CommandText = "SELECT ROLLNO FROM STUDENTROLLNO WHERE(REGULATIONSNO = @REGULATIONSNO)AND (DEGREESNO = @DEGREESNO) AND (BRANCHSNO = @BRANCHSNO)AND (SECTIONSNO = @SECTIONSNO) ORDER BY ROLLNO";
        selCmd.Connection = MYconnection;
     
         selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
         selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
         selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
         selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        
         selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
         selCmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
         selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
         selCmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;
      
     
         SqlDataAdapter AD = new SqlDataAdapter();
         AD.SelectCommand = selCmd;
         AD.Fill(MYDATASETROLLNO, "STUDENTROLLNO");
         MYDATASETROLLNO.AcceptChanges();
         int studentcount = MYDATASETROLLNO.Tables[0].Rows.Count;
        
        if (str != ""&&chkAllPresent.Checked ==false)
         {  
          
                 int[] rollnoarray = parsefunction(str);
                 Array.Sort(rollnoarray);
                 int low = rollnoarray[0];
                 int hig = rollnoarray[rollnoarray.Length - 1];

                 if ((low >= Convert.ToInt32(MYDATASETROLLNO.Tables[0].DefaultView[0][0])) && (hig <= Convert.ToInt32(MYDATASETROLLNO.Tables[0].DefaultView[studentcount - 1][0])) && (studentcount >= rollnoarray.Length))
                 {                           
                     attendancesno = insertattendance();                                                        
                     SqlCommand insertattendancesubjectcmd = new SqlCommand();                               
                     insertattendancesubjectcmd.CommandText = "INSERT INTO ATTENDANCEMAINTAIN VALUES(@ATTENDANCESNO,@ABSENTROLLNO)";
                               
                     insertattendancesubjectcmd.Connection = MYconnection;                               
                     insertattendancesubjectcmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");                               
                     insertattendancesubjectcmd.Parameters.Add("@ABSENTROLLNO", SqlDbType.Int, 4, "ABSENTROLLNO");

                                
                     AttendanceDataset.ATTENDANCEMAINTAINDataTable myattendancesubjecttable = DS.ATTENDANCEMAINTAIN; 
                                    
                     if (Convert.ToInt32(rbaborpre.SelectedValue) == 0 )                                   
                     {
                                       
                         int[] absenteesrollno = rollnoarray;
                                       
                         for (int i = 0; i < absenteesrollno.Length; i++)                                       
                         {                                           
                             AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = myattendancesubjecttable.NewATTENDANCEMAINTAINRow();
                                           
                             myaddrow.BeginEdit();
                                           
                             myaddrow.ATTENDANCESNO = attendancesno;                                          
                             myaddrow.ABSENTROLLNO = absenteesrollno[i];
                                           
                             myaddrow.EndEdit();

                                          
                             myattendancesubjecttable.AddATTENDANCEMAINTAINRow(myaddrow);
                                       
                         }                                       
                         SqlDataAdapter adap = new SqlDataAdapter();                                      
                         adap.InsertCommand = insertattendancesubjectcmd;

                         try
                         {

                             adap.Update(DS, "ATTENDANCEMAINTAIN");
                             Deleteminusone(attendancesno);
                         }
                         catch
                         {
                             lblerror.Visible = true;
                             lblerror.Text = "Already Added into the DATABASE";
                         }
                         DS.AcceptChanges();
                                    
                     }

                                   
                     else if ((studentcount - rollnoarray.Length) != 0)                                   
                     {
                                       
                         int j = 0;                                      
                         int[] absenteesrollno = new int[studentcount - rollnoarray.Length];                                        
                         int[] studentrollnoarray = new int[studentcount];
                                        
                         for (int i = 0; i < studentcount; i++)                                        
                         {
                                           
                             studentrollnoarray[i] = Convert.ToInt32(MYDATASETROLLNO.Tables[0].DefaultView[i][0]);
                                       
                         }



                                       
                         for (int a = 0; a < studentcount; a++)                         
                         {
                         
                             for (int i = 0; i < rollnoarray.Length; i++)                             
                             {
                             
                                 if (studentrollnoarray[a] == rollnoarray[i])                                 
                                 {
                                 
                                     studentrollnoarray[a] = -1;
                                     
                                 }
                                 
                             }
                             
                         }


                         
                         for (int a = 0; a < studentcount; a++)                         
                         {
                         
                             if (studentrollnoarray[a] != -1)                             
                             {                             
                                 absenteesrollno[j] = studentrollnoarray[a];                                 
                                 j++;
                                 
                             }
                             
                         }


                         
                         for (int i = 0; i < absenteesrollno.Length; i++)
                         
                         {                         
                             AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = myattendancesubjecttable.NewATTENDANCEMAINTAINRow();
                             
                             myaddrow.BeginEdit();
                             
                             myaddrow.ATTENDANCESNO = attendancesno;                             
                             myaddrow.ABSENTROLLNO = absenteesrollno[i];
                             
                             myaddrow.EndEdit();
                             
                             myattendancesubjecttable.AddATTENDANCEMAINTAINRow(myaddrow);
                             
                         }
                         
                         SqlDataAdapter adap = new SqlDataAdapter();                         
                         adap.InsertCommand = insertattendancesubjectcmd;
                         try
                         {
                             adap.Update(DS, "ATTENDANCEMAINTAIN");
                             Deleteminusone(attendancesno);
                         }
                         catch
                         {
                             lblerror.Visible = true;
                             lblerror.Text = "Already Added into the DATABASE";
                         }
                         DS.AcceptChanges();                         
                     }
                     
                     else
                     
                     {
                     
                         AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = myattendancesubjecttable.NewATTENDANCEMAINTAINRow();
                         
                         myaddrow.BeginEdit();
                         
                         myaddrow.ATTENDANCESNO = attendancesno;                         
                         myaddrow.ABSENTROLLNO = -1;

                         myaddrow.EndEdit();

                         myattendancesubjecttable.AddATTENDANCEMAINTAINRow(myaddrow);                         
                         SqlDataAdapter adap = new SqlDataAdapter();                         
                         adap.InsertCommand = insertattendancesubjectcmd;
                         try
                         {
                             adap.Update(DS, "ATTENDANCEMAINTAIN");
                             Deleteminusone(attendancesno);
                         }
                         catch
                         {
                             lblerror.Visible = true;
                             lblerror.Text = "Already Added into the DATABASE";
                         }                     
                         DS.AcceptChanges();
                         
                     }
                           
                    
                 }
         
         
        }

        
        else if (chkAllPresent.Checked == true) 
        {
            attendancesno = insertattendance();
            SqlCommand insertattendancesubjectcmd = new SqlCommand();
            insertattendancesubjectcmd.CommandText = "INSERT INTO ATTENDANCEMAINTAIN VALUES(@ATTENDANCESNO,@ABSENTROLLNO)";
            insertattendancesubjectcmd.Connection = MYconnection;
            
            insertattendancesubjectcmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");
            insertattendancesubjectcmd.Parameters.Add("@ABSENTROLLNO", SqlDbType.Int, 4, "ABSENTROLLNO");

            
            AttendanceDataset.ATTENDANCEMAINTAINDataTable myattendancesubjecttable = DS.ATTENDANCEMAINTAIN;
            AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = myattendancesubjecttable.NewATTENDANCEMAINTAINRow();

            
            myaddrow.BeginEdit();
            
            myaddrow.ATTENDANCESNO = attendancesno;
            myaddrow.ABSENTROLLNO = -1;
                        
            myaddrow.EndEdit();
                        
            myattendancesubjecttable.AddATTENDANCEMAINTAINRow(myaddrow);
            
            SqlDataAdapter adap = new SqlDataAdapter();
            adap.InsertCommand = insertattendancesubjectcmd;

            try
            {
                adap.Update(DS, "ATTENDANCEMAINTAIN");
               
            }
            catch
            {
                lblerror.Visible = true;
                lblerror.Text = "Already Added into the DATABASE";
            }
            
            DS.AcceptChanges();
                     
        }
        
        else
        {
            lblerror.Text = "Invalid ROLLNO";
        }


        BindGridAttendance();

    }

    void Deleteminusone(int sno)
    {
        SqlConnection MYconnection = new SqlConnection();
        MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        AttendanceDataset dataset = new AttendanceDataset();

        AttendanceDataset.ATTENDANCEMAINTAINDataTable dt = dataset.ATTENDANCEMAINTAIN;


        SqlCommand SelCommand = new SqlCommand();

        SelCommand.CommandText = "SELECT * FROM ATTENDANCEMAINTAIN WHERE ATTENDANCESNO = @ATTENDANCESNO";
        SelCommand.Connection = MYconnection;
        SelCommand.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");

        SqlCommand delCmd = new SqlCommand();
        delCmd.CommandText = "DELETE ATTENDANCEMAINTAIN WHERE (ATTENDANCESNO = @ATTENDANCESNO) AND(ABSENTROLLNO=-1)";
        delCmd.Connection = MYconnection;
        delCmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");
        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = SelCommand;
        SelCommand.Parameters["@ATTENDANCESNO"].Value = sno;
        adapter.Fill(dataset, "ATTENDANCEMAINTAIN");

        dataset.AcceptChanges();

        int rowcount = dataset.ATTENDANCEMAINTAIN.Rows.Count;
        for (int i = rowcount - 1; i >= 0; i--)
        {
            if (Convert.ToInt32( dt.DefaultView[i][1] )== -1)
            {
                dt.Rows[i].Delete();
            }
            adapter.DeleteCommand = delCmd;

        }

        try
        {
            adapter.Update(dataset, "ATTENDANCEMAINTAIN");
        }
        catch
        {

        }
        dataset.AcceptChanges();
    }

    void BindGridAttendance()
    {
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT a.PERIODNO,s.SUBJECTNAME,am.ABSENTROLLNO from ATTENDANCE AS a INNER JOIN SUBJECT AS s ON a.SUBJECTSNO=s.SUBJECTSNO FULL OUTER JOIN ATTENDANCEMAINTAIN am on a.ATTENDANCESNO=am.ATTENDANCESNO WHERE  (a.DEGREESNO = @DEGREESNO) AND (a.BRANCHSNO = @BRANCHSNO) AND (a.SECTIONSNO = @SECTIONSNO) AND (a.SEMSNO = @SEMSNO) AND(a.REGULATIONSNO = @REGULATIONSNO) AND (a.DATE = @DATE) ORDER BY PERIODNO";
        
        selCmd.Connection = myconnection;

        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
       // selCmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");
       // selCmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");


        DataSet MY = new DataSet();

        myadapter.SelectCommand = selCmd;
        selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
        selCmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
        selCmd.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
        selCmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;
       // selCmd.Parameters["@PERIODNO"].Value = drpdownperiod.SelectedValue;
       // selCmd.Parameters["@SUBJECTSNO"].Value = drpdownsubject.SelectedValue;
        selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
        selCmd.Parameters["@DATE"].Value = Calendar1.SelectedDate;

        myadapter.Fill(MY, "ATTENDANCE");
        MY.AcceptChanges();


        DataTable table = new DataTable("datatableabsentgrid");
        DataColumn column;
        DataRow row;

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "PeriodNo";
        column.Unique = true;
        column.ReadOnly = true;
        table.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Subject";
        column.AllowDBNull = true;
        column.ReadOnly = true;
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "AbsentRollno";
        column.AllowDBNull = true;
        table.Columns.Add(column);

        int datasetrowcount = MY.Tables[0].Rows.Count;


       if (datasetrowcount != 0)
        {
            int datatblcount = Convert.ToInt32(MY.Tables[0].Rows.Count);
            for (int i = 0; i < datatblcount; i++)
            {
                row = table.NewRow();
                try
                {

                    row["PeriodNo"] = Convert.ToInt32(MY.Tables[0].DefaultView[i][0]);
                    row["Subject"] = Convert.ToString(MY.Tables[0].DefaultView[i][1]);
                    if (Convert.ToString(MY.Tables[0].DefaultView[i][2]) == "-1")
                    {
                        row["AbsentRollno"] = "AllPresent";
                    }
                    else
                    {
                        row["AbsentRollno"] = Convert.ToString(MY.Tables[0].DefaultView[i][2]);
                    }
                    table.Rows.Add(row);
                  
                
                }
                catch
                {


                    for (int j = 0; j < table.Rows.Count; j++)
                    {                       
                            if (Convert.ToInt32(MY.Tables[0].DefaultView[i][0]) == Convert.ToInt32(table.DefaultView[j][0]))
                            {
                                String str = Convert.ToString(table.DefaultView[j][2]);
                                table.DefaultView[j][2] = str +","+ Convert.ToString(MY.Tables[0].DefaultView[i][2]);
                            }
                        
                    }
                       
                    
                }
               
             
            }
        }


       
        DataGridAttendance.DataSource = table;

        DataGridAttendance.DataBind();
        table.AcceptChanges();
        
        
        
     
    }


    protected void DataGridAttendance_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridAttendance.EditItemIndex = e.Item.ItemIndex;
   
        BindGridAttendance();

        AttendanceDataset mydatasetatt = new AttendanceDataset();
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();



        selCmd.CommandText = "SELECT * from ATTENDANCE   WHERE  (DEGREESNO = @DEGREESNO) AND (BRANCHSNO = @BRANCHSNO) AND (SECTIONSNO = @SECTIONSNO) AND (SEMSNO = @SEMSNO) AND(REGULATIONSNO = @REGULATIONSNO) AND (PERIODNO = @PERIODNO) AND (DATE = @DATE)";

        selCmd.Connection = myconnection;

        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        selCmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");

        selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");



        myadapter.SelectCommand = selCmd;
        selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
        selCmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
        selCmd.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
        selCmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;
        selCmd.Parameters["@PERIODNO"].Value = e.Item.Cells[2].Text;

        selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
        selCmd.Parameters["@DATE"].Value = Calendar1.SelectedDate;

        
            myadapter.Fill(mydatasetatt, "ATTENDANCE");
        
       
        mydatasetatt.AcceptChanges();

        Session["Attendanceeditsno"] = mydatasetatt.ATTENDANCE.DefaultView[0][0];
    }

   void   Deleteattendance()
     {
         SqlConnection MYconnection = new SqlConnection();
         MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
                
       AttendanceDataset dataset = new AttendanceDataset();

         AttendanceDataset.ATTENDANCEMAINTAINDataTable dt = dataset.ATTENDANCEMAINTAIN;


         SqlCommand SelCommand = new SqlCommand();

         SelCommand.CommandText = "SELECT * FROM ATTENDANCEMAINTAIN WHERE ATTENDANCESNO = @ATTENDANCESNO";
         SelCommand.Connection = MYconnection;
         SelCommand.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");

         SqlCommand delCmd = new SqlCommand();
         delCmd.CommandText = "DELETE ATTENDANCEMAINTAIN WHERE ATTENDANCESNO = @ATTENDANCESNO";
         delCmd.Connection = MYconnection;
         delCmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");
         SqlDataAdapter adapter = new SqlDataAdapter();
         adapter.SelectCommand = SelCommand;
         SelCommand.Parameters["@ATTENDANCESNO"].Value = Session["Attendanceeditsno"];
         adapter.Fill(dataset, "ATTENDANCEMAINTAIN");

         dataset.AcceptChanges();

         int rowcount = dataset.ATTENDANCEMAINTAIN.Rows.Count;
         for (int i = rowcount - 1; i >= 0; i--)
         {
             dt.Rows[i].Delete();

             adapter.DeleteCommand = delCmd;

         }

         try
         {
             adapter.Update(dataset, "ATTENDANCEMAINTAIN");
         }
         catch
         {

         }
         dataset.AcceptChanges();
     }


    protected void DataGridAttendance_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
         TextBox txt = (TextBox)e.Item.Cells[4].Controls[0];

        String str = txt.Text;
     
        int[] rollnoarray = parsefunction(str);
                 Array.Sort(rollnoarray);
                 int low = rollnoarray[0];
                 int hig = rollnoarray[rollnoarray.Length - 1];

                 SqlConnection MYconnection = new SqlConnection();
                 MYconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
                

                 SqlCommand selCmd = new SqlCommand();
                 DataSet MYDATASETROLLNO = new DataSet();

                 selCmd.CommandText = "SELECT ROLLNO FROM STUDENTROLLNO WHERE(REGULATIONSNO = @REGULATIONSNO)AND (DEGREESNO = @DEGREESNO) AND (BRANCHSNO = @BRANCHSNO)AND (SECTIONSNO = @SECTIONSNO) ORDER BY ROLLNO";
                 selCmd.Connection = MYconnection;

                 selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
                 selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
                 selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
                 selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");

                 selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
                 selCmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
                 selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
                 selCmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;


                 SqlDataAdapter AD = new SqlDataAdapter();
                 AD.SelectCommand = selCmd;
                 AD.Fill(MYDATASETROLLNO, "STUDENTROLLNO");
                 MYDATASETROLLNO.AcceptChanges();

                 int studentcount = MYDATASETROLLNO.Tables[0].Rows.Count;


                 if ((low >= Convert.ToInt32(MYDATASETROLLNO.Tables[0].DefaultView[0][0])) && (hig <= Convert.ToInt32(MYDATASETROLLNO.Tables[0].DefaultView[studentcount - 1][0])) && (studentcount >= rollnoarray.Length)&&(rollnoarray.Length!=0))
                 {
                     Deleteattendance();

                     SqlCommand insertattendancesubjectcmd = new SqlCommand();
                     insertattendancesubjectcmd.CommandText = "INSERT INTO ATTENDANCEMAINTAIN VALUES(@ATTENDANCESNO,@ABSENTROLLNO)";

                     insertattendancesubjectcmd.Connection = MYconnection;
                     insertattendancesubjectcmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");
                     insertattendancesubjectcmd.Parameters.Add("@ABSENTROLLNO", SqlDbType.Int, 4, "ABSENTROLLNO");

                     AttendanceDataset MYdataset = new AttendanceDataset();
                     AttendanceDataset.ATTENDANCEMAINTAINDataTable amdatatable = MYdataset.ATTENDANCEMAINTAIN;


                     for (int i = 0; i < rollnoarray.Length; i++)
                     {
                         AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = amdatatable.NewATTENDANCEMAINTAINRow();
                        
                         myaddrow.BeginEdit();

                         myaddrow.ATTENDANCESNO =Convert.ToInt32( Session["Attendanceeditsno"]);
                         myaddrow.ABSENTROLLNO = rollnoarray[i];

                         myaddrow.EndEdit();

                         amdatatable.AddATTENDANCEMAINTAINRow(myaddrow);




                     }

                     SqlDataAdapter adap = new SqlDataAdapter();
                     adap.InsertCommand = insertattendancesubjectcmd;

                     try
                     {
                         adap.Update(MYdataset, "ATTENDANCEMAINTAIN");
                     }
                     catch
                     {
                         lblerror.Visible = true;
                         lblerror.Text = "Deleted By Another User";
                     }
                     MYdataset.AcceptChanges();


                     DataGridAttendance.EditItemIndex = -1;
                     BindGridAttendance();

                 }

                 else if (rollnoarray[0] == 0)
                 {
                     Deleteattendance();
                     
                     SqlCommand insertattendancesubjectcmd = new SqlCommand();
                     insertattendancesubjectcmd.CommandText = "INSERT INTO ATTENDANCEMAINTAIN VALUES(@ATTENDANCESNO,@ABSENTROLLNO)";

                     insertattendancesubjectcmd.Connection = MYconnection;
                     insertattendancesubjectcmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");
                     insertattendancesubjectcmd.Parameters.Add("@ABSENTROLLNO", SqlDbType.Int, 4, "ABSENTROLLNO");

                     AttendanceDataset MYdataset = new AttendanceDataset();
                     AttendanceDataset.ATTENDANCEMAINTAINDataTable amdatatable = MYdataset.ATTENDANCEMAINTAIN;


                      AttendanceDataset.ATTENDANCEMAINTAINRow myaddrow = amdatatable.NewATTENDANCEMAINTAINRow();

                         myaddrow.BeginEdit();

                         myaddrow.ATTENDANCESNO = Convert.ToInt32(Session["Attendanceeditsno"]);
                         myaddrow.ABSENTROLLNO = -1;

                         myaddrow.EndEdit();

                         amdatatable.AddATTENDANCEMAINTAINRow(myaddrow);




                  

                     SqlDataAdapter adap = new SqlDataAdapter();
                     adap.InsertCommand = insertattendancesubjectcmd;

                     try
                     {
                         adap.Update(MYdataset, "ATTENDANCEMAINTAIN");
                     }
                     catch
                     {
                         lblerror.Visible = true;
                         lblerror.Text = "Deleted By Another User";
                     }
                     MYdataset.AcceptChanges();


                     DataGridAttendance.EditItemIndex = -1;
                     BindGridAttendance();
                 }

    }
    protected void DataGridAttendance_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridAttendance.EditItemIndex = -1;
        BindGridAttendance();
    }
    protected void DataGridAttendance_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
      
        AttendanceDataset mydatasetatt = new AttendanceDataset();
        AttendanceDataset.ATTENDANCEDataTable datatableattendance = mydatasetatt.ATTENDANCE;
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();



        selCmd.CommandText = "SELECT * from ATTENDANCE   WHERE  (DEGREESNO = @DEGREESNO) AND (BRANCHSNO = @BRANCHSNO) AND (SECTIONSNO = @SECTIONSNO) AND (SEMSNO = @SEMSNO) AND(REGULATIONSNO = @REGULATIONSNO) AND (PERIODNO = @PERIODNO) AND (DATE = @DATE)";

        selCmd.Connection = myconnection;

        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        selCmd.Parameters.Add("@PERIODNO", SqlDbType.Int, 4, "PERIODNO");

        selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");



        myadapter.SelectCommand = selCmd;
        selCmd.Parameters["@BRANCHSNO"].Value = drpdownbranch.SelectedValue;
        selCmd.Parameters["@DEGREESNO"].Value = drpdowndegree.SelectedValue;
        selCmd.Parameters["@SEMSNO"].Value = drpdownsem.SelectedValue;
        selCmd.Parameters["@SECTIONSNO"].Value = drpdownsection.SelectedValue;
        selCmd.Parameters["@PERIODNO"].Value = e.Item.Cells[2].Text;

        selCmd.Parameters["@REGULATIONSNO"].Value = drpdowmregulation.SelectedValue;
        selCmd.Parameters["@DATE"].Value = Calendar1.SelectedDate;


        myadapter.Fill(mydatasetatt, "ATTENDANCE");


        mydatasetatt.AcceptChanges();

        Session["Attendanceeditsno"] = mydatasetatt.ATTENDANCE.DefaultView[0][0];
        Deleteattendance();





        SqlCommand delCmd = new SqlCommand();
        delCmd.CommandText = "DELETE ATTENDANCE WHERE ATTENDANCESNO = @ATTENDANCESNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@ATTENDANCESNO", SqlDbType.Int, 4, "ATTENDANCESNO");



        datatableattendance.Rows[0].Delete();

        myadapter.DeleteCommand = delCmd;

       

        try
        {
            myadapter.Update(mydatasetatt, "ATTENDANCE");
        }
        catch
        {

        }
        mydatasetatt.AcceptChanges();





        DataGridAttendance.EditItemIndex = -1;
        BindGridAttendance();

    }

}
