using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditDegree : System.Web.UI.Page
{
    Adddegree mydegreedataset = new Adddegree();

    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  DEGREE ORDER BY DEGREESNO";
        SelCommand.Connection = myconnection1;
      

        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(mydegreedataset, "DEGREE");
        mydegreedataset.AcceptChanges();




    }

    void BindGrid()
    {

         
        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  DEGREEFULLFORM, DEGREESHORTFORM,DEGREEDURATION FROM  DEGREE ORDER BY DEGREESNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "BRANCH");
        DataGridEditDegree.DataSource = dsDataSet.Tables[0];
        DataGridEditDegree.DataBind();

    }
    protected void DataGridEditDegree_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditDegree.EditItemIndex = e.Item.ItemIndex;
        Session["DegreeSno"] = mydegreedataset.DEGREE.DefaultView[e.Item.ItemIndex][0];
        BindGrid();
         
    }
    protected void DataGridEditDegree_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();
        Adddegree  ds = new Adddegree ();

        selcommand.CommandText = "SELECT * FROM DEGREE WITH(ROWLOCK) WHERE DEGREESNO = @DEGREESNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@DEGREESNO"].Value = Session["DegreeSno"];


        adapterselect.Fill(ds, "DEGREE");
        ds.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE DEGREE SET DEGREEFULLFORM=@DEGREEFULLFORM , DEGREESHORTFORM = @DEGREESHORTFORM, DEGREEDURATION = @DEGREEDURATION  WHERE DEGREESNO = @DEGREESNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
        UpdCommand.Parameters.Add("@DEGREEFULLFORM", SqlDbType.VarChar, 50, "DEGREEFULLFORM");
        UpdCommand.Parameters.Add("@DEGREESHORTFORM", SqlDbType.VarChar, 50, "DEGREESHORTFORM");
        UpdCommand.Parameters.Add("@DEGREEDURATION", SqlDbType.VarChar, 50, "DEGREEDURATION");

       
        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.DEGREE.Rows.Count != 0)
        {
            Adddegree.DEGREEDataTable tblbranc = ds.DEGREE;
            
            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            tblbranc.DefaultView[0][2] = ((TextBox)e.Item.Cells[3].Controls[0]).Text;
            tblbranc.DefaultView[0][3] = ((TextBox)e.Item.Cells[4].Controls[0]).Text;

            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@DEGREESNO"].Value = Session["DegreeSno"];
            adapter.Update(ds, "DEGREE");

            ds.AcceptChanges();

            DataGridEditDegree.EditItemIndex = -1;
            BindGrid();
          
        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";
            DataGridEditDegree.EditItemIndex = -1;
            BindGrid();
        }


  }
    protected void DataGridEditDegree_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditDegree.EditItemIndex = -1;
        BindGrid();

    }
    protected void DataGridEditDegree_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE DEGREE WHERE DEGREESNO = @DEGREESNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc = mydegreedataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(mydegreedataset, "DEGREE");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        mydegreedataset.AcceptChanges();
        BindGrid();

    }
}
