using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditQualifyingExam : System.Web.UI.Page
{
    AddQualifyingExamDataset myQualifyingExamdataset = new AddQualifyingExamDataset();
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  QUALIFYINGEXAMINATION ORDER BY QUALIFYINGEXAMSNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(myQualifyingExamdataset, "QUALIFYINGEXAMINATION");
        myQualifyingExamdataset.AcceptChanges();

    }

    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  QUALIFYINGEXAMFULLFORM, QUALIFYINGEXAMSHORTFORM FROM  QUALIFYINGEXAMINATION ORDER BY QUALIFYINGEXAMSNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "QUALIFYINGEXAMINATION");

        DataGridEditQualifyingExam.DataSource = dsDataSet.Tables[0];
        DataGridEditQualifyingExam.DataBind();

    }
    protected void DataGridEditQualifyingExam_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditQualifyingExam.EditItemIndex = e.Item.ItemIndex;
        Session["QualifyingExamSno"] = myQualifyingExamdataset.QUALIFYINGEXAMINATION.DefaultView[e.Item.ItemIndex][0];
        BindGrid();

    }
    protected void DataGridEditQualifyingExam_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

        AddQualifyingExamDataset ds = new AddQualifyingExamDataset();

        selcommand.CommandText = "SELECT * FROM QUALIFYINGEXAMINATION WITH(ROWLOCK) WHERE QUALIFYINGEXAMSNO = @QUALIFYINGEXAMSNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@QUALIFYINGEXAMSNO", SqlDbType.Int, 4, "QUALIFYINGEXAMSNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@QUALIFYINGEXAMSNO"].Value = Session["QualifyingExamSno"];


        adapterselect.Fill(ds, "QUALIFYINGEXAMINATION");
        ds.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE QUALIFYINGEXAMINATION SET QUALIFYINGEXAMFULLFORM=@QUALIFYINGEXAMFULLFORM , QUALIFYINGEXAMSHORTFORM = @QUALIFYINGEXAMSHORTFORM  WHERE QUALIFYINGEXAMSNO = @QUALIFYINGEXAMSNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@QUALIFYINGEXAMSNO", SqlDbType.Int, 4, "QUALIFYINGEXAMSNO");
        UpdCommand.Parameters.Add("@QUALIFYINGEXAMFULLFORM", SqlDbType.VarChar, 50, "QUALIFYINGEXAMFULLFORM");
        UpdCommand.Parameters.Add("@QUALIFYINGEXAMSHORTFORM", SqlDbType.VarChar, 50, "QUALIFYINGEXAMSHORTFORM");


        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.QUALIFYINGEXAMINATION.Rows.Count != 0)
        {
            AddQualifyingExamDataset.QUALIFYINGEXAMINATIONDataTable  tblbranc = ds.QUALIFYINGEXAMINATION;

            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            tblbranc.DefaultView[0][2] = ((TextBox)e.Item.Cells[3].Controls[0]).Text;


            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@QUALIFYINGEXAMSNO"].Value = Session["QualifyingExamSno"];
            adapter.Update(ds, "QUALIFYINGEXAMINATION");

            ds.AcceptChanges();

            DataGridEditQualifyingExam.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditQualifyingExam.EditItemIndex = -1;
            BindGrid();

        }
    }
    protected void DataGridEditQualifyingExam_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditQualifyingExam.EditItemIndex = -1;
        BindGrid();
    }
    protected void DataGridEditQualifyingExam_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE QUALIFYINGEXAMINATION WHERE QUALIFYINGEXAMSNO = @QUALIFYINGEXAMSNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@QUALIFYINGEXAMSNO", SqlDbType.Int, 4, "QUALIFYINGEXAMSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc = myQualifyingExamdataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(myQualifyingExamdataset, "QUALIFYINGEXAMINATION");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        myQualifyingExamdataset.AcceptChanges();
        BindGrid();
    }
}
