using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;

public partial class Report1 : System.Web.UI.Page
{
    private ReportDocument report;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SqlDataAdapter myadapter = new SqlDataAdapter();

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SqlCommand selCmd = new SqlCommand();

            DataSet1 dsDataSet = new DataSet1();
            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "REGULATION");
            drpdownbatch.DataSource = dsDataSet.REGULATION;
            drpdownbatch.DataTextField = "REGULATION";
            drpdownbatch.DataValueField = "REGULATIONSNO";
            drpdownbatch.DataBind();

            selCmd.CommandText = "SELECT* FROM BRANCH";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "BRANCH");
            drpdownbranch.DataSource = dsDataSet.BRANCH;
            drpdownbranch.DataTextField = "BRANCHSHORTFORM";
            drpdownbranch.DataValueField = "BRANCHSNO";
            drpdownbranch.DataBind();


            selCmd.CommandText = "SELECT * FROM SEM";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SEM");
            drpdownsem.DataSource = dsDataSet.SEM;
            drpdownsem.DataTextField = "SEMSNO";
            drpdownsem.DataValueField = "SEMSNO";
            drpdownsem.DataBind();

            selCmd.CommandText = "SELECT * FROM SECTION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SECTION");
            drpdownsection.DataSource = dsDataSet.SECTION;
            drpdownsection.DataTextField = "SECTION";
            drpdownsection.DataValueField = "SECTIONSNO";
            drpdownsection.DataBind();


            selCmd.CommandText = "SELECT * FROM SUBJECT";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SUBJECT");
            drpdownsubject.DataSource = dsDataSet.SUBJECT;
            drpdownsubject.DataTextField = "SUBJECTNAME";
            drpdownsubject.DataValueField = "SUBJECTSNO";
            drpdownsubject.DataBind();

            selCmd.CommandText = "SELECT * FROM TESTNAME";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "TESTNAME");
            drpdowntestno.DataSource = dsDataSet.TESTNAME;
            drpdowntestno.DataTextField = "TESTNAME";
            drpdowntestno.DataValueField = "TESTSNO";
            drpdowntestno.DataBind();

            CrystalReportViewer1.Visible = false;

        }

        ConfigureCrystalReports();




    }

    protected void btnViewReport_Click(object sender, EventArgs e)
    {

        CrystalReportViewer1.Visible = true;


    }
    private void ConfigureCrystalReports()
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlDataAdapter adap = new SqlDataAdapter();


        DataSet1 dsSELECT = new DataSet1();
        SqlCommand selectcmd = new SqlCommand();
        try
        {
            selectcmd.CommandText = "SELECT * FROM TESTMARK WHERE (REGULATIONSNO = @REGULATIONSNO )AND(BRANCHSNO = @BRANCHSNO)AND(SEMSNO = @SEMSNO)AND(SECTIONSNO = @SECTIONSNO) AND(TESTSNO=@TESTSNO) AND(SUBJECTSNO=@SUBJECTSNO) ";
            selectcmd.Connection = myconnection;
            selectcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selectcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selectcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selectcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            selectcmd.Parameters.Add("@TESTSNO", SqlDbType.Int, 4, "TESTSNO");
            selectcmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
            


            adap.SelectCommand = selectcmd;

            selectcmd.Parameters["@REGULATIONSNO"].Value = Convert.ToInt32(drpdownbatch.SelectedValue);
            selectcmd.Parameters["@BRANCHSNO"].Value = Convert.ToInt32(drpdownbranch.SelectedValue);
            selectcmd.Parameters["@SEMSNO"].Value = Convert.ToInt32(drpdownsem.SelectedValue);
            selectcmd.Parameters["@SECTIONSNO"].Value = Convert.ToInt32(drpdownsection.SelectedValue);
            selectcmd.Parameters["@TESTSNO"].Value = Convert.ToInt32(drpdowntestno.SelectedValue);
            selectcmd.Parameters["@SUBJECTSNO"].Value = Convert.ToInt32(drpdownsubject.SelectedValue);
            

            adap.Fill(dsSELECT, "TESTMARK");
        }
        catch
        {
        }

        dsSELECT.AcceptChanges();



        if (dsSELECT.TESTMARK.Rows.Count != 0)
        {

            SqlDataAdapter myadapter = new SqlDataAdapter();
            SqlCommand selCmd = new SqlCommand();

            selCmd.CommandText = "SELECT * FROM REGULATION WHERE REGULATIONSNO = @REGULATIONSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selCmd.Parameters["@REGULATIONSNO"].Value = Convert.ToInt32(drpdownbatch.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "REGULATION");


            selCmd.CommandText = "SELECT * FROM BRANCH WHERE BRANCHSNO = @BRANCHSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selCmd.Parameters["@BRANCHSNO"].Value = Convert.ToInt32(drpdownbranch.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "BRANCH");


            selCmd.CommandText = "SELECT * FROM SEM WHERE SEMSNO = @SEMSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selCmd.Parameters["@SEMSNO"].Value = Convert.ToInt32(drpdownsem.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "SEM");
            selCmd.Connection = myconnection;



            selCmd.CommandText = "SELECT * FROM SECTION WHERE SECTIONSNO = @SECTIONSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            selCmd.Parameters["@SECTIONSNO"].Value = Convert.ToInt32(drpdownsection.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "SECTION");

            selCmd.CommandText = "SELECT * FROM SUBJECT WHERE SUBJECTSNO = @SUBJECTSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
            selCmd.Parameters["@SUBJECTSNO"].Value = Convert.ToInt32(drpdownsubject.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "SUBJECT");


            selCmd.CommandText = "SELECT * FROM TESTNAME WHERE TESTSNO = @TESTSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@TESTSNO", SqlDbType.Int, 4, "TESTSNO");
            selCmd.Parameters["@TESTSNO"].Value = Convert.ToInt32(drpdowntestno.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "TESTNAME");










            int testmarksno = Convert.ToInt32(dsSELECT.TESTMARK.DefaultView[0][0]);

            selectcmd.CommandText = "SELECT * FROM TESTMARKSUBJECT WHERE (TESTMARKSNO = @TESTMARKSNO)";
            selectcmd.Connection = myconnection;
            selectcmd.Parameters.Add("@TESTMARKSNO", SqlDbType.Int, 4, "TESTMARKSNO");

            adap.SelectCommand = selectcmd;

            selectcmd.Parameters["@TESTMARKSNO"].Value = testmarksno;

            adap.Fill(dsSELECT, "TESTMARKSUBJECT");

            dsSELECT.AcceptChanges();
            DataSet1 mydataset= new DataSet1();
            DataSet1.MARKDataTable tbl = dsSELECT.MARK;
           
            for (int i = 0; i < dsSELECT.TESTMARKSUBJECT.Rows.Count; i++)
            {
                DataSet1.MARKRow row = tbl.NewMARKRow();
               
                    row.BeginEdit();
                     
                    string[,] subjectstaff = new string[0, 3];
                    subjectstaff = StaffnameMethod(Convert.ToInt32(dsSELECT.TESTMARKSUBJECT.DefaultView[i][0]),Convert.ToInt32(dsSELECT.TESTMARKSUBJECT.DefaultView[i][1]));

                    row.ROLLNO = subjectstaff[0, 0];
                    row.NAME = subjectstaff[0, 1];

                    row.MARK = subjectstaff[0, 2];

                    row.EndEdit();
               

                tbl.AddMARKRow(row);
                mydataset.AcceptChanges();
            }






            dsSELECT.AcceptChanges();

            report = new ReportDocument();

            string reportPath = Server.MapPath("CrystalReport1.rpt");
            report.Load(reportPath);

            report.SetDataSource(dsSELECT);
            CrystalReportViewer1.ReportSource = report;
        }

    }

    string[,] StaffnameMethod(int testmarksno1 ,int rollno1)
    {

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlDataAdapter adap = new SqlDataAdapter();

        DataSet MYDATASET = new DataSet();
        SqlCommand selCmd1 = new SqlCommand();

        selCmd1.CommandText = "SELECT t.ROLLNO, sd.NAME ,t.MARK FROM TESTMARKSUBJECT AS t FULL OUTER JOIN STUDENTROLLNO AS s ON t.ROLLNO = s.ROLLNO FULL OUTER JOIN STUDENTPERSONALDETAILS AS sd ON sd.STUDENTPERSONALSNO=s.STUDENTPERSONALSNO WHERE (t.TESTMARKSNO=@TESTMARKSNO) AND(t.ROLLNO=@ROLLNO)"; ;
        selCmd1.Connection = myconnection;
        selCmd1.Parameters.Add("@TESTMARKSNO", SqlDbType.Int, 4, "TESTMARKSNO");
        selCmd1.Parameters.Add("@ROLLNO", SqlDbType.Int, 4, "ROLLNO");
        selCmd1.Parameters["@TESTMARKSNO"].Value = testmarksno1;
        selCmd1.Parameters["@ROLLNO"].Value = rollno1;
        /* selCmd1.CommandText = "SELECT t.ROLLNO, sd.NAME ,t.MARK FROM TESTMARKSUBJECT AS t FULL OUTER JOIN STUDENTROLLNO AS s ON t.ROLLNO = s.ROLLNO FULL OUTER JOIN TESTMARK AS te ON te.TESTMARKSNO=t.TESTMARKSNO FULL OUTER JOIN STUDENTPERSONALDETAILS AS sd ON sd.STUDENTPERSONALSNO=s.STUDENTPERSONALSNO WHERE ((te.BRANCHSNO = @BRANCHSNO) AND (te.SECTIONSNO = @SECTIONSNO) AND(te.SEMSNO=@SEMSNO)AND (te.REGULATIONSNO=@REGULATIONSNO)AND(te.TESTSNO=@TESTSNO)AND(te.SUBJECTSNO=@SUBJECTSNO))";
        selCmd1.Connection = myconnection;
       
        selCmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd1.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
        selCmd1.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
        selCmd1.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd1.Parameters.Add("@TESTSNO", SqlDbType.Int, 4, "TESTSNO");
        selCmd1.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");

        selCmd1.Parameters["@RANCHSNO"].Value = subjsno;
        selCmd1.Parameters["@SECTIONSNO"].Value = staffsno;
        selCmd1.Parameters["@SEMSNO"].Value = staffsno;
        selCmd1.Parameters["@REGULATIONSNO"].Value = staffsno;
        selCmd1.Parameters["@TESTSNO"].Value = staffsno;
        selCmd1.Parameters["@SUBJECTSNO"].Value = staffsno;*/


        adap.SelectCommand = selCmd1;



        adap.Fill(MYDATASET, "TESTMARKSUBJECT");
        MYDATASET.AcceptChanges();

        string[,] RETstring = new string[1, 3];
       // for (int j = 0; j < MYDATASET.Tables.Count; j++)
        //{
            RETstring[0, 0] = Convert.ToString(MYDATASET.Tables[0].DefaultView[0][0]);
            RETstring[0, 1] = Convert.ToString(MYDATASET.Tables[0].DefaultView[0][1]);
            RETstring[0, 2] = Convert.ToString(MYDATASET.Tables[0].DefaultView[0][2]);
        //}
            return RETstring;
        


    }

    private void Page_Init(object sender, EventArgs e)
    {
        ConfigureCrystalReports();

    }




}

