using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;

public partial class TimetableReport : System.Web.UI.Page
{
    private ReportDocument report;
   
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SqlDataAdapter myadapter = new SqlDataAdapter();

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SqlCommand selCmd = new SqlCommand();
            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;

            TimeTableReportDataSet dsDataSet = new TimeTableReportDataSet();
            //DATASETTIMETABLE  dsDataSet = new DATASETTIMETABLE ();
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "BRANCH");
            drpbranch.DataSource = dsDataSet.BRANCH;
            drpbranch.DataTextField = "BRANCHSHORTFORM";
            drpbranch.DataValueField = "BRANCHSNO";
            drpbranch.DataBind();




            selCmd.CommandText = "SELECT * FROM SEM";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SEM");
            drpsem.DataSource = dsDataSet.SEM;
            drpsem.DataTextField = "SEMSNO";
            drpsem.DataValueField = "SEMSNO";
            drpsem.DataBind();



            selCmd.CommandText = "SELECT * FROM DEGREE";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "DEGREE");

            drpdegree.DataSource = dsDataSet.DEGREE;
            drpdegree.DataTextField = "DEGREESHORTFORM";
            drpdegree.DataValueField = "DEGREESNO";
            drpdegree.DataBind();

            selCmd.CommandText = "SELECT * FROM SECTION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "SECTION");
            drpsection.DataSource = dsDataSet.SECTION;
            drpsection.DataTextField = "SECTION";
            drpsection.DataValueField = "SECTIONSNO";
            drpsection.DataBind();


            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;

            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsDataSet, "REGULATION");
            drpregulation.DataSource = dsDataSet.REGULATION;
            drpregulation.DataTextField = "REGULATION";
            drpregulation.DataValueField = "REGULATIONSNO";
            drpregulation.DataBind();
            CrystalReportViewerTimeTable.Visible = false;

        }
        
        ConfigureCrystalReports();
    }
   
    
    

    protected void btnViewReport_Click(object sender, EventArgs e)
    {

        CrystalReportViewerTimeTable.Visible = true;

        ConfigureCrystalReports();
    }



    private void ConfigureCrystalReports()
    {
       

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SqlDataAdapter adap = new SqlDataAdapter();


            TimeTableReportDataSet dsSELECT = new TimeTableReportDataSet();
            SqlCommand selectcmd = new SqlCommand();
            try
            {
            selectcmd.CommandText = "SELECT * FROM TIMETABLEGENERAL WHERE (REGULATIONSNO = @REGULATIONSNO )AND(DEGREESNO = @DEGREESNO)AND(BRANCHSNO = @BRANCHSNO)AND(SEMSNO = @SEMSNO)AND(SECTIONSNO = @SECTIONSNO)";
            selectcmd.Connection = myconnection;
            selectcmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selectcmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            selectcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selectcmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selectcmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
           // selectcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");

            adap.SelectCommand = selectcmd;

            selectcmd.Parameters["@REGULATIONSNO"].Value = Convert.ToInt32(drpregulation.SelectedValue);
            selectcmd.Parameters["@DEGREESNO"].Value = Convert.ToInt32(drpdegree.SelectedValue);
            selectcmd.Parameters["@BRANCHSNO"].Value = Convert.ToInt32(drpbranch.SelectedValue);
            selectcmd.Parameters["@SEMSNO"].Value = Convert.ToInt32(drpsem.SelectedValue);
            selectcmd.Parameters["@SECTIONSNO"].Value = Convert.ToInt32(drpsection.SelectedValue);
         //   selectcmd.Parameters["@DATE"].Value = cldate.SelectedDate;
        
            
            adap.Fill(dsSELECT, "TIMETABLEGENERAL");
            }
            catch
            {
            }
       
            dsSELECT.AcceptChanges();
        
       

        if (dsSELECT.TIMETABLEGENERAL.Rows.Count != 0)
        {

            SqlDataAdapter myadapter = new SqlDataAdapter();
            SqlCommand selCmd = new SqlCommand();
            selCmd.CommandText = "SELECT * FROM BRANCH WHERE BRANCHSNO = @BRANCHSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selCmd.Parameters["@BRANCHSNO"].Value = Convert.ToInt32(drpbranch.SelectedValue);
           
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "BRANCH");
           

            selCmd.CommandText = "SELECT * FROM SEM WHERE SEMSNO = @SEMSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");
            selCmd.Parameters["@SEMSNO"].Value = Convert.ToInt32(drpsem.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "SEM");
            selCmd.Connection = myconnection;












            selCmd.CommandText = "SELECT * FROM DEGREE WHERE DEGREESNO = @DEGREESNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@DEGREESNO", SqlDbType.Int, 4, "DEGREESNO");
            selCmd.Parameters["@DEGREESNO"].Value = Convert.ToInt32(drpdegree.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "DEGREE");



            selCmd.CommandText = "SELECT * FROM SECTION WHERE SECTIONSNO = @SECTIONSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@SECTIONSNO", SqlDbType.Int, 4, "SECTIONSNO");
            selCmd.Parameters["@SECTIONSNO"].Value = Convert.ToInt32(drpsection.SelectedValue);
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "SECTION");


            selCmd.CommandText = "SELECT * FROM REGULATION WHERE REGULATIONSNO = @REGULATIONSNO";
            selCmd.Connection = myconnection;
            selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selCmd.Parameters["@REGULATIONSNO"].Value = Convert.ToInt32(drpregulation.SelectedValue);
            
           
            myadapter.SelectCommand = selCmd;
            myadapter.Fill(dsSELECT, "REGULATION");
            







        int timetablesno = Convert.ToInt32(dsSELECT.TIMETABLEGENERAL.DefaultView[0][0]);

        selectcmd.CommandText = "SELECT * FROM TIMETABLE WHERE (TIMETABLESNO = @TIMETABLESNO)";
        selectcmd.Connection = myconnection;
        selectcmd.Parameters.Add("@TIMETABLESNO", SqlDbType.Int, 4, "TIMETABLESNO");

        adap.SelectCommand = selectcmd;

        selectcmd.Parameters["@TIMETABLESNO"].Value = timetablesno;

        adap.Fill(dsSELECT, "TIMETABLE");

        dsSELECT.AcceptChanges();


      


            SqlCommand selCmd1 = new SqlCommand();


            selCmd1.CommandText = "SELECT * FROM SUBJECT AS s INNER JOIN    SUBJECTMAINTAIN AS sm ON s.SUBJECTSNO = sm.SUBJECTSNO WHERE      (sm.REGULATIONSNO = @REGULATIONSNO) AND (sm.BRANCHSNO = @BRANCHSNO) AND (sm.SEMSNO = @SEMSNO)";

            selCmd1.Connection = myconnection;

            selCmd1.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            selCmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            selCmd1.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");

            selCmd1.Parameters["@REGULATIONSNO"].Value = drpregulation.SelectedValue;
            selCmd1.Parameters["@BRANCHSNO"].Value = drpbranch.SelectedValue;
            selCmd1.Parameters["@SEMSNO"].Value = drpsem.SelectedValue;


            adap.SelectCommand = selCmd1;
            adap.Fill(dsSELECT, "SUBJECT");
            dsSELECT.AcceptChanges();


            int[] subjectsno = new int[dsSELECT.SUBJECT.Rows.Count];
            string[] subjectcode = new string[dsSELECT.SUBJECT.Rows.Count];



            for (int i = 0; i < dsSELECT.SUBJECT.Rows.Count; i++)
            {
                subjectsno[i] = Convert.ToInt32(dsSELECT.SUBJECT.DefaultView[i][0]);
                subjectcode[i] = Convert.ToString(dsSELECT.SUBJECT.DefaultView[i][1]);
            }


            string[,] subject = new string[8, 5];


            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 5; j++)
                {
                    string sub = "subject";
                    for (int k = 0; k < dsSELECT.SUBJECT.Rows.Count; k++)
                    {
                        if (Convert.ToInt32(dsSELECT.TIMETABLE.DefaultView[i][(3 + j)]) == subjectsno[k])
                        {
                            sub = subjectcode[k];
                        }
                    }
                    subject[i, j] = sub;
                }
            }
           


            TimeTableReportDataSet.TimeTableReportDataTable tbl = dsSELECT.TimeTableReport;

            string[] day = { "Monday", "Tuesday", "Wednesday", "Thursday", "Friday" };
            for (int i = 0; i < 5; i++)
            {
                TimeTableReportDataSet.TimeTableReportRow row = tbl.NewTimeTableReportRow();

                row.BeginEdit();
                row._Day_Period = day[i];

                row._1 = subject[0, i];
                row._2 = subject[1, i];
                row._3 = subject[2, i];
                row._4 = subject[3, i];
                row._5 = subject[4, i];
                row._6 = subject[5, i];
                row._7 = subject[6, i];
                row._8 = subject[7, i];


                row.EndEdit();
                tbl.AddTimeTableReportRow(row);


            }


            dsSELECT.AcceptChanges();




            SqlCommand selectcommand = new SqlCommand();
            selectcommand.CommandText = "SELECT * FROM TIMETABLESTAFF WHERE (TIMETABLESNO = @TIMETABLESNO)";
            selectcommand.Connection = myconnection;
            selectcommand.Parameters.Add("@TIMETABLESNO", SqlDbType.Int, 4, "TIMETABLESNO");

            adap.SelectCommand = selectcommand;

            selectcommand.Parameters["@TIMETABLESNO"].Value = timetablesno;

            adap.Fill(dsSELECT, "TIMETABLESTAFF");

            dsSELECT.AcceptChanges();

            selectcommand.CommandText = "SELECT * FROM STAFF ";
            selectcommand.Connection = myconnection;
            adap.SelectCommand = selectcommand;
            adap.Fill(dsSELECT, "STAFF");
            dsSELECT.AcceptChanges();

            TimeTableReportDataSet.StaffDataTable Stafftbl = dsSELECT.Staff;



            
           /* for (int i = 0; i < dsSELECT.TIMETABLESTAFF.Rows.Count; i++)
            {
                for (int k = 0; k < dsSELECT.SUBJECT.Rows.Count; k++)
                {
                    if (Convert.ToInt32(dsSELECT.SUBJECT.DefaultView[k][0]) == Convert.ToInt32(dsSELECT.TIMETABLESTAFF.DefaultView[i][1]))
                    {
                        subjectstaff[i, 0] = Convert.ToString(dsSELECT.SUBJECT.DefaultView[k][1]);
                        subjectstaff[i, 1] = Convert.ToString(dsSELECT.SUBJECT.DefaultView[k][2]);
                       /* for (int j=0; j < dsSELECT.STAFF.Rows.Count; j++)
                        {
                            if (Convert.ToInt32(dsSELECT.STAFF.DefaultView[j][0]) == Convert.ToInt32(dsSELECT.TIMETABLESTAFF.DefaultView[i][2]))
                            {
                                subjectstaff[i, 2] = Convert.ToString(dsSELECT.STAFF.DefaultView[j][1]);
                            }

                        
                        }
                    }
                }
            }*/
            
            
            
            
            
            for (int i = 0; i < dsSELECT.TIMETABLESTAFF.Rows.Count; i++)
            {
                TimeTableReportDataSet.StaffRow Staffrow = Stafftbl.NewStaffRow();

                Staffrow.BeginEdit();
                string[,] subjectstaff = new string[1, 3];
                subjectstaff = StaffnameMethod( Convert.ToInt32(dsSELECT.TIMETABLESTAFF.DefaultView[i][1]), Convert.ToInt32(dsSELECT.TIMETABLESTAFF.DefaultView[i][2]));

                Staffrow.Subject_Code = subjectstaff[0, 0];
                Staffrow.Subject_Name = subjectstaff[0, 1];

                Staffrow.Staff_Name = subjectstaff[0, 2];

               

                Staffrow.EndEdit();



                Stafftbl.AddStaffRow(Staffrow);

            }


            dsSELECT.AcceptChanges();










            report = new ReportDocument();

            string reportPath = Server.MapPath("CrystalReportTimeTable.rpt");
            report.Load(reportPath);

            report.SetDataSource(dsSELECT);
            CrystalReportViewerTimeTable.ReportSource = report;
        }


    }

    string [,] StaffnameMethod(int subjsno,int staffsno)
    {

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlDataAdapter adap = new SqlDataAdapter();

        DataSet MYDATASET = new DataSet();
        SqlCommand selCmd1 = new SqlCommand();


        selCmd1.CommandText = "SELECT s.SUBJECTCODE,s.SUBJECTNAME,st.STAFFNAME FROM SUBJECT AS s INNER JOIN  TIMETABLESTAFF AS tts ON s.SUBJECTSNO = tts.SUBJECTSNO  INNER JOIN  STAFF AS st ON st.STAFFSNO = tts.STAFFSNO WHERE      (tts.SUBJECTSNO = @SUBJECTSNO) AND (tts.STAFFSNO = @STAFFSNO)";

        selCmd1.Connection = myconnection;
       
        selCmd1.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        selCmd1.Parameters.Add("@STAFFSNO", SqlDbType.Int, 4, "STAFFSNO");
       
        selCmd1.Parameters["@SUBJECTSNO"].Value = subjsno;
        selCmd1.Parameters["@STAFFSNO"].Value = staffsno;
      

        adap.SelectCommand = selCmd1;
        adap.Fill(MYDATASET, "SUBJECT");
        MYDATASET.AcceptChanges();

        string[,] RETstring = new string[1, 3];

        RETstring[0,0]=Convert.ToString( MYDATASET.Tables[0].DefaultView[0][0]);
        RETstring[0, 1] =Convert.ToString( MYDATASET.Tables[0].DefaultView[0][1]);
        RETstring[0, 2] =Convert.ToString( MYDATASET.Tables[0].DefaultView[0][2]);

        return RETstring;

    }


    private void Page_Init(object sender, EventArgs e)
    {
        ConfigureCrystalReports();

    }
}
