using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditCommunity : System.Web.UI.Page
{
    AddCommunity myCommunitydataset = new AddCommunity();
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  COMMUNITY ORDER BY COMMUNITYSNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(myCommunitydataset, "COMMUNITY");
        myCommunitydataset.AcceptChanges();

    }


    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  COMMUNITYFULLFORM, COMMUNITYSHORTFORM FROM  COMMUNITY ORDER BY COMMUNITYSNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "COMMUNITY");

        DataGridEditCommunity.DataSource = dsDataSet.Tables[0];
        DataGridEditCommunity.DataBind();

    }
    protected void DataGridEditCommunity_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditCommunity.EditItemIndex = e.Item.ItemIndex;
        Session["CommunitySno"] =myCommunitydataset .COMMUNITY.DefaultView[e.Item.ItemIndex][0];
        BindGrid();
    }



    protected void DataGridEditCommunity_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();
       
        AddCommunity ds = new AddCommunity();

        selcommand.CommandText = "SELECT * FROM COMMUNITY WITH(ROWLOCK) WHERE COMMUNITYSNO = @COMMUNITYSNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@COMMUNITYSNO", SqlDbType.Int, 4, "COMMUNITYSNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@COMMUNITYSNO"].Value = Session["CommunitySno"];


        adapterselect.Fill(ds, "COMMUNITY");
        ds.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE COMMUNITY SET COMMUNITYFULLFORM=@COMMUNITYFULLFORM , COMMUNITYSHORTFORM = @COMMUNITYSHORTFORM  WHERE COMMUNITYSNO = @COMMUNITYSNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@COMMUNITYSNO", SqlDbType.Int, 4, "COMMUNITYSNO");
        UpdCommand.Parameters.Add("@COMMUNITYFULLFORM", SqlDbType.VarChar, 50, "COMMUNITYFULLFORM");
        UpdCommand.Parameters.Add("@COMMUNITYSHORTFORM", SqlDbType.VarChar, 50, "COMMUNITYSHORTFORM");
       

        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.COMMUNITY .Rows.Count != 0)
        {
            AddCommunity.COMMUNITYDataTable  tblbranc = ds.COMMUNITY ;

            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            tblbranc.DefaultView[0][2] = ((TextBox)e.Item.Cells[3].Controls[0]).Text;
           

            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@COMMUNITYSNO"].Value = Session["CommunitySno"];
            adapter.Update(ds, "COMMUNITY");

            ds.AcceptChanges();

            DataGridEditCommunity.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditCommunity.EditItemIndex = -1;
            BindGrid();

        }

    }
    protected void DataGridEditCommunity_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditCommunity.EditItemIndex = -1;
        BindGrid();


    }
    protected void DataGridEditCommunity_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE COMMUNITY WHERE COMMUNITYSNO = @COMMUNITYSNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@COMMUNITYSNO", SqlDbType.Int, 4, "COMMUNITYSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc =myCommunitydataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(myCommunitydataset, "COMMUNITY");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        myCommunitydataset.AcceptChanges();
        BindGrid();

    }
    
}
