using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditQuota : System.Web.UI.Page
{

    AddQuotaDataSet myQuotadataset = new AddQuotaDataSet();
  
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  QUOTA ORDER BY QUOTASNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(myQuotadataset, "QUOTA");
        myQuotadataset.AcceptChanges();

    }


    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  QUOTAFULLFORM, QUOTASHORTFORM FROM  QUOTA ORDER BY QUOTASNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "QUOTA");


        DataGridEditQuota.DataSource = dsDataSet.Tables[0];
        DataGridEditQuota.DataBind();

    }

    protected void DataGridEditQuota_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditQuota.EditItemIndex = e.Item.ItemIndex;
        Session["QuotaSno"] = myQuotadataset.QUOTA.DefaultView[e.Item.ItemIndex][0];
        BindGrid();
    }
    protected void DataGridEditQuota_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

        AddQuotaDataSet  ds = new AddQuotaDataSet ();

        selcommand.CommandText = "SELECT * FROM QUOTA WITH(ROWLOCK) WHERE QUOTASNO = @QUOTASNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@QUOTASNO", SqlDbType.Int, 4, "QUOTASNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@QUOTASNO"].Value =  Session["QuotaSno"];


        adapterselect.Fill(ds, "QUOTA");
        ds.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE QUOTA SET QUOTAFULLFORM=@QUOTAFULLFORM , QUOTASHORTFORM = @QUOTASHORTFORM  WHERE QUOTASNO = @QUOTASNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@QUOTASNO", SqlDbType.Int, 4, "QUOTASNO");
        UpdCommand.Parameters.Add("@QUOTAFULLFORM", SqlDbType.VarChar, 50, "QUOTAFULLFORM");
        UpdCommand.Parameters.Add("@QUOTASHORTFORM", SqlDbType.VarChar, 50, "QUOTASHORTFORM");


        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.QUOTA.Rows.Count != 0)
        {
            AddQuotaDataSet.QUOTADataTable tblbranc = ds.QUOTA;
           

            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            tblbranc.DefaultView[0][2] = ((TextBox)e.Item.Cells[3].Controls[0]).Text;


            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@QUOTASNO"].Value =  Session["QuotaSno"];
            adapter.Update(ds, "QUOTA");

            ds.AcceptChanges();

            DataGridEditQuota.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditQuota.EditItemIndex = -1;
            BindGrid();


        }
    }
    protected void DataGridEditQuota_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditQuota.EditItemIndex = -1;
        BindGrid();

    }
    protected void DataGridEditQuota_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE QUOTA WHERE QUOTASNO = @QUOTASNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@QUOTASNO", SqlDbType.Int, 4, "QUOTASNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc = myQuotadataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(myQuotadataset, "QUOTA");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        myQuotadataset.AcceptChanges();
        BindGrid();
    }
}
