using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditRegulation : System.Web.UI.Page
{

    AddRegulationDataSet myRegulationdataset = new AddRegulationDataSet();
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  REGULATION ORDER BY REGULATIONSNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(myRegulationdataset, "REGULATION");
        myRegulationdataset.AcceptChanges();


    }


    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  REGULATION FROM  REGULATION ORDER BY REGULATIONSNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "REGULATION");

        DataGridEditRegulation.DataSource = dsDataSet.Tables[0];
        DataGridEditRegulation.DataBind();

    }
    protected void DataGridEditRegulation_EditCommand(object source, DataGridCommandEventArgs e)
    { 
        DataGridEditRegulation.EditItemIndex = e.Item.ItemIndex;
        Session["RegulationSno"] = myRegulationdataset.REGULATION.DefaultView[e.Item.ItemIndex][0];
        BindGrid();
    }
    protected void DataGridEditRegulation_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

      AddRegulationDataSet   ds = new AddRegulationDataSet ();

      selcommand.CommandText = "SELECT * FROM REGULATION WITH(ROWLOCK) WHERE REGULATIONSNO = @REGULATIONSNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@REGULATIONSNO"].Value = Session["RegulationSno"];


        adapterselect.Fill(ds, "REGULATION");
        ds.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE REGULATION SET REGULATION=@REGULATION WHERE REGULATIONSNO = @REGULATIONSNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        UpdCommand.Parameters.Add("@REGULATION", SqlDbType.Int , 4, "REGULATION");
        

        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.REGULATION .Rows.Count != 0)
        {
          AddRegulationDataSet.REGULATIONDataTable  tblbranc = ds.REGULATION ;

            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
           

            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@REGULATIONSNO"].Value = Session["RegulationSno"];
            try
            {

                adapter.Update(ds, "REGULATION");
            }
            catch
            {
                lblError.Visible = true;
                lblError.Text = "Already Exists";
            }
            ds.AcceptChanges();

            DataGridEditRegulation.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditRegulation.EditItemIndex = -1;
            BindGrid();
        }
    }
    protected void DataGridEditRegulation_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditRegulation.EditItemIndex = -1;
        BindGrid();
    }
    protected void DataGridEditRegulation_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE REGULATION WHERE REGULATIONSNO = @REGULATIONSNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();
         
        DataTable tblbranc = myRegulationdataset.Tables[0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(myRegulationdataset, "REGULATION");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        myRegulationdataset.AcceptChanges();
        BindGrid();
    }
}
