using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EditSubject : System.Web.UI.Page
{
    SubjectMaintainDataset mySUBJECTdataset = new SubjectMaintainDataset();
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM  SUBJECT ORDER BY SUBJECTSNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(mySUBJECTdataset, "SUBJECT");
        mySUBJECTdataset.AcceptChanges();
    }

    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT  SUBJECTCODE,SUBJECTNAME FROM  SUBJECT ORDER BY SUBJECTSNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "COMMUNITY");

        DataGridEditSubject.DataSource = dsDataSet.Tables[0];
        DataGridEditSubject.DataBind();

    }
    protected void DataGridEditSubject_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditSubject.EditItemIndex = e.Item.ItemIndex;
        Session["Edit_SubjectSno"] = mySUBJECTdataset.SUBJECT.DefaultView[e.Item.ItemIndex][0];
        BindGrid();
    }
    protected void DataGridEditSubject_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

        SubjectMaintainDataset ds = new SubjectMaintainDataset();

        selcommand.CommandText = "SELECT * FROM SUBJECT WITH(ROWLOCK) WHERE SUBJECTSNO = @SUBJECTSNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@SUBJECTSNO"].Value = Session["Edit_SubjectSno"];


        adapterselect.Fill(ds, "SUBJECT");
        ds.AcceptChanges();



        

        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE SUBJECT SET SUBJECTCODE=@SUBJECTCODE , SUBJECTNAME = @SUBJECTNAME  WHERE SUBJECTSNO = @SUBJECTSNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        UpdCommand.Parameters.Add("@SUBJECTCODE", SqlDbType.VarChar, 50, "SUBJECTCODE");
        UpdCommand.Parameters.Add("@SUBJECTNAME", SqlDbType.VarChar, 50, "SUBJECTNAME");


        SqlDataAdapter adapter = new SqlDataAdapter();

        if (ds.SUBJECT.Rows.Count != 0)
        {
            SubjectMaintainDataset.SUBJECTDataTable tblbranc = ds.SUBJECT;
          

            tblbranc.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            tblbranc.DefaultView[0][2] = ((TextBox)e.Item.Cells[3].Controls[0]).Text;


            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@SUBJECTSNO"].Value = Session["Edit_SubjectSno"];
            adapter.Update(ds, "SUBJECT");

            ds.AcceptChanges();

            DataGridEditSubject.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditSubject.EditItemIndex = -1;
            BindGrid();

        }

    }
    protected void DataGridEditSubject_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditSubject.EditItemIndex = -1;
        BindGrid();
    }
    protected void DataGridEditSubject_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
         SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE SUBJECT WHERE SUBJECTSNO = @SUBJECTSNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();
         
        DataTable tblbranc =mySUBJECTdataset.SUBJECT;

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(mySUBJECTdataset, "SUBJECT");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

       mySUBJECTdataset.AcceptChanges();
        BindGrid();

    }
    
}
