using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class SubjectMaintenance : System.Web.UI.Page
{
   
    protected void Page_Load(object sender, EventArgs e)
    {
        DataGridSubject.Visible = false;
        lblerror.Visible = false;
        lblmessage.Visible = false;
        btnback.Visible = false;



        drpbranch.Enabled = true;
        drpregulation.Enabled = true;
        drpsem.Enabled = true;
        if (!IsPostBack)
        {

            SqlDataAdapter myadapter = new SqlDataAdapter();

            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SubjectMaintainDataset mydataset = new SubjectMaintainDataset();

            SqlCommand selCmd = new SqlCommand();

            selCmd.CommandText = "SELECT * FROM REGULATION";
            selCmd.Connection = myconnection;



            myadapter.SelectCommand = selCmd;
            myadapter.Fill(mydataset, "REGULATION");
            drpregulation.DataSource = mydataset.REGULATION;
            drpregulation.DataTextField = "REGULATION";
            drpregulation.DataValueField = "REGULATIONSNO";
            drpregulation.DataBind();



            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;


            myadapter.SelectCommand = selCmd;

            myadapter.Fill(mydataset, "BRANCH");
            drpbranch.DataSource = mydataset.BRANCH;
            drpbranch.DataTextField = "BRANCHSHORTFORM";
            drpbranch.DataValueField = "BRANCHSNO";
            drpbranch.DataBind();




            selCmd.CommandText = "SELECT * FROM SEM";
            selCmd.Connection = myconnection;


            myadapter.SelectCommand = selCmd;

            myadapter.Fill(mydataset, "SEM");
            drpsem.DataSource = mydataset.SEM;
            drpsem.DataTextField = "SEMSNO";
            drpsem.DataValueField = "SEMSNO";
            drpsem.DataBind();


            

        }


    }
   
    protected void btnload_Click(object sender, EventArgs e)
    {
       

        SqlDataAdapter myadapter = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

        SubjectMaintainDataset mydataset = new SubjectMaintainDataset();

        SqlCommand selCmd = new SqlCommand();

        selCmd.CommandText = "SELECT * FROM SUBJECT WHERE (SUBJECTCODE = @SUBJECTCODE)";
        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@SUBJECTCODE", SqlDbType.VarChar, 50, "SUBJECTCODE");

        selCmd.Parameters["@SUBJECTCODE"].Value = txtsubjectcode.Text; ;

        myadapter.SelectCommand = selCmd;
        myadapter.Fill(mydataset, "SUBJECT");
       
        if (mydataset.SUBJECT.Rows.Count != 0)
        {
            Session["SubjectSno"] = mydataset.SUBJECT.DefaultView[0][0];
      
            lblmessage.Visible = true;
            lblmessage.Text = "This Subject Already Exists";
            lblsubjectname.Visible = true;
            txtsubjectname.Visible = true;
            txtsubjectname.Text = Convert.ToString(mydataset.SUBJECT.DefaultView[0][2]);
            txtsubjectname.Enabled = false;


            lblsubjectdepartment.Visible = true;


            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;


            myadapter.SelectCommand = selCmd;

            myadapter.Fill(mydataset, "BRANCH");
            drpsubjectbranch.Visible = true;
            drpsubjectbranch.DataSource = mydataset.BRANCH;
            drpsubjectbranch.DataTextField = "BRANCHSHORTFORM";
            drpsubjectbranch.DataValueField = "BRANCHSNO";
            drpsubjectbranch.DataBind();
            drpsubjectbranch.Enabled = false;
            rbregelective.Visible = true;
            rbregelective.SelectedValue =Convert.ToString( mydataset.SUBJECT.DefaultView[0][4]);
            rbregelective.Enabled = false;



            rbcorecommon.Visible = true;
            rbcorecommon.SelectedValue =Convert.ToString( mydataset.SUBJECT.DefaultView[0][5]);
            rbcorecommon.Enabled = false;
          
            
        }

        else
        {

            Session["SubjectSno"] = null;
            lblmessage.Visible = true;
            lblmessage.Text = "This Subject is not available in the Database Please enter";
            lblsubjectname.Visible = true;
            txtsubjectname.Enabled = true;
            txtsubjectname.Visible = true;
           

            lblsubjectdepartment.Visible = true;

            drpsubjectbranch.Enabled = true;
            rbregelective.Enabled = true;
            rbcorecommon.Enabled = true;

            selCmd.CommandText = "SELECT * FROM BRANCH";
            selCmd.Connection = myconnection;


            myadapter.SelectCommand = selCmd;

            myadapter.Fill(mydataset, "BRANCH");
            drpsubjectbranch.Visible = true;
            drpsubjectbranch.DataSource = mydataset.BRANCH;
            drpsubjectbranch.DataTextField = "BRANCHSHORTFORM";
            drpsubjectbranch.DataValueField = "BRANCHSNO";
            drpsubjectbranch.DataBind();
            
            rbregelective.Visible = true;
          


            rbcorecommon.Visible = true;
           

        

        }



        btnsave.Visible = true;
    }




    protected void bthsave_Click(object sender, EventArgs e)
    {
        if (IsValid)
        {
            SqlDataAdapter adap = new SqlDataAdapter();
            SqlCommand insertcmd = new SqlCommand();
            SqlConnection myconnection = new SqlConnection();
            myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";

            SubjectMaintainDataset mydataset = new SubjectMaintainDataset();

            if (Session["SubjectSno"]==null)
            {


                SubjectMaintainDataset.SUBJECTDataTable mytable = mydataset.SUBJECT;
                SubjectMaintainDataset.SUBJECTRow myrow = mytable.NewSUBJECTRow();




                insertcmd.CommandText = "INSERT INTO SUBJECT VALUES(@SUBJECTCODE,@SUBJECTNAME,@BRANCHSNO,@REGULARORELECTIVE,@COREORCOMMON) ; SELECT * FROM SUBJECT WHERE ( SUBJECTSNO = SCOPE_IDENTITY() )";
                insertcmd.Connection = myconnection;

                insertcmd.Parameters.Add("@SUBJECTCODE", SqlDbType.VarChar, 50, "SUBJECTCODE");
                insertcmd.Parameters.Add("@SUBJECTNAME", SqlDbType.VarChar, 50, "SUBJECTNAME");
                insertcmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
                insertcmd.Parameters.Add("@REGULARORELECTIVE", SqlDbType.VarChar, 50, "REGULARORELECTIVE");
                insertcmd.Parameters.Add("@COREORCOMMON", SqlDbType.VarChar, 50, "COREORCOMMON");

                myrow.BeginEdit();

                myrow.SUBJECTCODE = Convert.ToString(txtsubjectcode.Text);
                myrow.SUBJECTNAME = Convert.ToString(txtsubjectname.Text);
                myrow.BRANCHSNO = Convert.ToInt32(drpsubjectbranch.SelectedValue);
                myrow.REGULARORELECTIVE = Convert.ToString(rbregelective.SelectedValue);
                myrow.COREORCOMMON = Convert.ToString(rbcorecommon.SelectedValue);


                myrow.EndEdit();

                mytable.AddSUBJECTRow(myrow);

                adap.InsertCommand = insertcmd;
                adap.Update(mydataset, "SUBJECT");
                mydataset.AcceptChanges();
                Session["SubjectSno"] = mydataset.SUBJECT.DefaultView[0][0];
             

            }



            SubjectMaintainDataset.SUBJECTMAINTAINDataTable mytablesubjectmaintain = mydataset.SUBJECTMAINTAIN;
            SubjectMaintainDataset.SUBJECTMAINTAINRow myrowsubjectmaintain = mytablesubjectmaintain.NewSUBJECTMAINTAINRow();



            SqlCommand insertcmdSubjectMaintain = new SqlCommand();

            insertcmdSubjectMaintain.CommandText = "INSERT INTO SUBJECTMAINTAIN VALUES(@SUBJECTSNO,@REGULATIONSNO,@BRANCHSNO,@SEMSNO)";
            insertcmdSubjectMaintain.Connection = myconnection;

            insertcmdSubjectMaintain.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
            insertcmdSubjectMaintain.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
            insertcmdSubjectMaintain.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
            insertcmdSubjectMaintain.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");

            myrowsubjectmaintain.BeginEdit();

            myrowsubjectmaintain.SUBJECTSNO =Convert.ToInt32( Session["SubjectSno"]);
            myrowsubjectmaintain.REGULATIONSNO = Convert.ToInt32(drpregulation.SelectedValue);
            myrowsubjectmaintain.BRANCHSNO = Convert.ToInt32(drpbranch.SelectedValue);
            myrowsubjectmaintain.SEMSNO = Convert.ToInt32(drpsem.SelectedValue);


            myrowsubjectmaintain.EndEdit();

            mytablesubjectmaintain.AddSUBJECTMAINTAINRow(myrowsubjectmaintain);

            try
            {

                adap.InsertCommand = insertcmdSubjectMaintain;
                adap.Update(mydataset, "SUBJECTMAINTAIN");
            }
            catch
            {
                lblerror.Visible = true;
                lblerror.Text = "Already Saved";
            }

            mydataset.AcceptChanges();





           



        }


        btnsave.Visible = false;

    }






  
    protected void btnViewSubject_Click(object sender, EventArgs e)
    {
        

        BindSubjectGrid();
    }

    void BindSubjectGrid()
    {
        drpbranch.Enabled = false;
        drpregulation.Enabled = false;
        drpsem.Enabled = false;

        SqlDataAdapter adap = new SqlDataAdapter();
     
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";



        DataSet ds = new DataSet();

        SqlCommand selCmd = new SqlCommand();

        selCmd.CommandText = "SELECT      s.SUBJECTCODE, s.SUBJECTNAME FROM    SUBJECT AS s INNER JOIN    SUBJECTMAINTAIN AS sm ON s.SUBJECTSNO = sm.SUBJECTSNO WHERE      (sm.REGULATIONSNO = @REGULATIONSNO) AND (sm.BRANCHSNO = @BRANCHSNO) AND (sm.SEMSNO = @SEMSNO)";
        selCmd.Connection = myconnection;

        selCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");



        selCmd.Parameters["@REGULATIONSNO"].Value = drpregulation.SelectedValue;
        selCmd.Parameters["@BRANCHSNO"].Value = drpbranch.SelectedValue;
        selCmd.Parameters["@SEMSNO"].Value = drpsem.SelectedValue;

        adap.SelectCommand = selCmd;
        adap.Fill(ds, "SUBJECT");
        DataGridSubject.Visible = true;
        btnback.Visible = true; 
        DataGridSubject.DataSource = ds;
        DataGridSubject.DataBind();
    }
    protected void btnback_Click(object sender, EventArgs e)
    {

    }

    protected void DataGridSubject_DeleteCommand(object source, DataGridCommandEventArgs e)
    {
        SqlDataAdapter adap = new SqlDataAdapter();

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|DatabaseAutomation.mdf;User Instance=true";
        SubjectMaintainDataset ds = new SubjectMaintainDataset();
        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT     * FROM    SUBJECT  WHERE      (SUBJECTCODE = @SUBJECTCODE)";
        selCmd.Connection = myconnection;
        selCmd.Parameters.Add("@SUBJECTCODE", SqlDbType.VarChar, 50, "REGULATIONSNO");
        selCmd.Parameters["@SUBJECTCODE"].Value = e.Item.Cells[1].Text;
        adap.SelectCommand = selCmd;
        adap.Fill(ds, "SUBJECT");

        ds.AcceptChanges();
        SqlCommand selCmd1 = new SqlCommand();
        selCmd1.CommandText = "SELECT     * FROM    SUBJECTMAINTAIN  WHERE  (SUBJECTSNO = @SUBJECTSNO) AND(REGULATIONSNO = @REGULATIONSNO) AND (BRANCHSNO = @BRANCHSNO) AND (SEMSNO = @SEMSNO)";
        selCmd1.Connection = myconnection;
        selCmd1.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        selCmd1.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        selCmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        selCmd1.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");


        selCmd1.Parameters["@SUBJECTSNO"].Value = ds.SUBJECT.DefaultView[0][0];
        selCmd1.Parameters["@REGULATIONSNO"].Value = drpregulation.SelectedValue;
        selCmd1.Parameters["@BRANCHSNO"].Value = drpbranch.SelectedValue;
        selCmd1.Parameters["@SEMSNO"].Value = drpsem.SelectedValue;

        adap.SelectCommand = selCmd1;
        adap.Fill(ds, "SUBJECTMAINTAIN");



        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE SUBJECTMAINTAIN WHERE  (SUBJECTSNO = @SUBJECTSNO) AND(REGULATIONSNO = @REGULATIONSNO) AND (BRANCHSNO = @BRANCHSNO) AND (SEMSNO = @SEMSNO)";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@SUBJECTSNO", SqlDbType.Int, 4, "SUBJECTSNO");
        delCmd.Parameters.Add("@REGULATIONSNO", SqlDbType.Int, 4, "REGULATIONSNO");
        delCmd.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
        delCmd.Parameters.Add("@SEMSNO", SqlDbType.Int, 4, "SEMSNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        SubjectMaintainDataset.SUBJECTMAINTAINDataTable tblbranc = ds.SUBJECTMAINTAIN;

        tblbranc.Rows[0].Delete();


        adapter.DeleteCommand = delCmd;
        adapter.Update(ds, "SUBJECTMAINTAIN");

        /*  catch
          {
              lblerror.Visible = true;
              lblerror.Text = " Cannot DELETE ";
          }*/

        ds.AcceptChanges();
        BindSubjectGrid();






    }
}
