using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


public partial class COMPANYPROFILE : System.Web.UI.Page
{
    
    protected void Page_Load(object sender, EventArgs e)
    {

        Label1.Text = Convert.ToString(Session.SessionID);

        Calendar1.Visible = false;

        if (!IsPostBack)
        {
            SqlDataAdapter myplacementadapter = new SqlDataAdapter();

            SqlConnection myplacementconnection = new SqlConnection();
            myplacementconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

            SqlCommand selCmd = new SqlCommand();
            selCmd.CommandText = "SELECT * FROM VENUE";
            selCmd.Connection = myplacementconnection;

            
            PLACEMENTDATASET dsDataSet = new PLACEMENTDATASET();
            myplacementadapter.SelectCommand = selCmd;
            myplacementadapter.Fill( dsDataSet, "VENUE");
            drpvenue.DataSource = dsDataSet.VENUE;
            drpvenue.DataTextField = "VENUE";
            drpvenue.DataValueField = "VENUESNO";
            drpvenue.DataBind();




            selCmd.CommandText = "SELECT * FROM COMPANY";
            selCmd.Connection = myplacementconnection;
                      
          myplacementadapter.SelectCommand = selCmd;
          myplacementadapter.Fill(dsDataSet, "COMPANY");

          drpcompanyname.DataSource = dsDataSet.COMPANY;
          drpcompanyname.DataTextField = "COMPANYNAME";
          drpcompanyname.DataValueField = "COMPANYSNO";
          drpcompanyname.DataBind();


          selCmd.CommandText = "SELECT * FROM REGULATION";
          selCmd.Connection = myplacementconnection;

          myplacementadapter.SelectCommand = selCmd;
          myplacementadapter.Fill(dsDataSet, "REGULATION");

          drpappearingregulation.DataSource = dsDataSet.REGULATION;
          drpappearingregulation.DataTextField = "REGULATION";
          drpappearingregulation.DataValueField = "REGULATIONSNO";
          drpappearingregulation.DataBind();


          selCmd.CommandText = "SELECT * FROM BRANCH";
          selCmd.Connection = myplacementconnection;



          myplacementadapter.SelectCommand = selCmd;
          myplacementadapter.Fill(dsDataSet, "BRANCH");
          chkappbranch.DataSource = dsDataSet.BRANCH;
          chkappbranch.DataTextField = "BRANCHSHORTFORM";
          chkappbranch.DataValueField = "BRANCHSNO";
          chkappbranch.DataBind();




        }
    }
    protected void btnsave_Click(object sender, EventArgs e)
    {

        int companyprofilesno;


        try
        {
            SqlConnection myplacementconnection = new SqlConnection();
            myplacementconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
            //SqlCommand selectcmd = new SqlCommand();


            SqlCommand insertcmd = new SqlCommand();
            insertcmd.CommandText = "INSERT INTO COMPANYPROFILE VALUES(@INTERVIEWNO,@VENUESNO,@COMPANYSNO,@CONTACTNO,@EMAILID,@SALARY,@DATE) ; SELECT * FROM COMPANYPROFILE WHERE ( COMPANYPROFILESNO = SCOPE_IDENTITY() )";
            insertcmd.Connection = myplacementconnection;
            insertcmd.Parameters.Add("@INTERVIEWNO", SqlDbType.Int, 4, "INTERVIEWNO");
            insertcmd.Parameters.Add("@VENUESNO", SqlDbType.Int, 4, "VENUESNO");
            insertcmd.Parameters.Add("@COMPANYSNO", SqlDbType.Int, 4, "COMPANYSNO");
            insertcmd.Parameters.Add("@CONTACTNO", SqlDbType.Int, 4, "CONTACTNO");
            insertcmd.Parameters.Add("@EMAILID", SqlDbType.VarChar, 50, "EMAILID");
            insertcmd.Parameters.Add("@SALARY", SqlDbType.Int, 4, "SALARY");
            insertcmd.Parameters.Add("@DATE", SqlDbType.DateTime, 8, "DATE");


            PLACEMENTDATASET mydataset = new PLACEMENTDATASET();
            PLACEMENTDATASET.COMPANYPROFILEDataTable mytable = mydataset.COMPANYPROFILE;
            PLACEMENTDATASET.COMPANYPROFILERow  myrow = mytable.NewCOMPANYPROFILERow();

            myrow.BeginEdit(); 
            myrow.INTERVIEWNO = Convert.ToInt32(txtinterviewno.Text);
            myrow.VENUESNO = Convert.ToInt32(drpvenue.SelectedValue);
            myrow.COMPANYSNO = Convert.ToInt32(drpcompanyname.SelectedValue);
            myrow.CONTACTNO = Convert.ToInt32(txtcontactno.Text );
            myrow.EMAILID = Convert.ToString (txtemail .Text );
            myrow.SALARY = Convert.ToInt32(txtsalary .Text );
            myrow.DATE = Calendar1.SelectedDate;
            myrow.COMPANYPROFILESNO = 3;
            myrow.EndEdit();

            mytable.AddCOMPANYPROFILERow(myrow);

            SqlDataAdapter adapins = new SqlDataAdapter();
            adapins.InsertCommand = insertcmd;

            adapins.Update(mydataset, "COMPANYPROFILE");
            companyprofilesno = Convert.ToInt32(mydataset.COMPANYPROFILE.DefaultView[0][0]);
            Session["companyprofilesno"] = mydataset.COMPANYPROFILE.DefaultView[0][0];
            mydataset.AcceptChanges();
          //  TextBox1.Text = Convert.ToString(Session["companyprofilesno"]);

           
        }
        catch
        {
        SqlConnection myplacementconnection = new SqlConnection();
        myplacementconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
        SqlCommand selectcmd = new SqlCommand();

        selectcmd.CommandText = "SELECT * FROM COMPANYPROFILE WHERE (INTERVIEWNO = @INTERVIEWNO )";
        selectcmd.Connection = myplacementconnection;
        selectcmd.Parameters.Add("@INTERVIEWNO", SqlDbType.Int, 4, "INTERVIEWNO");
        
            PLACEMENTDATASET dsDataSet = new PLACEMENTDATASET();

        SqlDataAdapter adapdatasetselect = new SqlDataAdapter();
        adapdatasetselect.SelectCommand = selectcmd;

        selectcmd.Parameters["@INTERVIEWNO"].Value = Convert.ToInt32(txtinterviewno.Text);

        adapdatasetselect.Fill(dsDataSet, "COMPANYPROFILE");
        companyprofilesno = Convert.ToInt32(dsDataSet.COMPANYPROFILE.DefaultView[0][0]);
        Session["companyprofilesno"] = dsDataSet.COMPANYPROFILE.DefaultView[0][0];
       // int attendancesno;
        }

        try
        {
            SqlConnection myplacementconnection = new SqlConnection();
            myplacementconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
            //SqlCommand selectcmd = new SqlCommand();


            SqlCommand insertcmd = new SqlCommand();
            insertcmd.CommandText = "INSERT INTO COMPANYCRITERIA VALUES(@COMPANYPROFILESNO,@APPEARINGSEMSNO,@APPEARINGREGULATIONSNO,@SSLCPERCENTAGE,@HSCPERCENTAGE,@SEMAGGREGATE,@HISTORYOFARREAR,@STANDINGARREAR)";
            insertcmd.Connection = myplacementconnection;
            insertcmd.Parameters.Add("@COMPANYPROFILESNO", SqlDbType.Int, 4, "COMPANYPROFILESNO");
            insertcmd.Parameters.Add("@APPEARINGSEMSNO", SqlDbType.Int, 4, "APPEARINGSEMSNO");
            insertcmd.Parameters.Add("@APPEARINGREGULATIONSNO", SqlDbType.Int, 4, "APPEARINGREGULATIONSNO");
            insertcmd.Parameters.Add("@SSLCPERCENTAGE", SqlDbType.Float , 8, "SSLCPERCENTAGE");
            insertcmd.Parameters.Add("@HSCPERCENTAGE", SqlDbType.Float , 8, "HSCPERCENTAGE");
            insertcmd.Parameters.Add("@SEMAGGREGATE", SqlDbType.Float , 8, "SEMAGGREGATE");
            insertcmd.Parameters.Add("@HISTORYOFARREAR", SqlDbType.Int, 4, "HISTORYOFARREAR");
            insertcmd.Parameters.Add("@STANDINGARREAR", SqlDbType.Int , 4,"STANDINGARREAR");


            PLACEMENTDATASET myCRITERIAdataset = new PLACEMENTDATASET();
            PLACEMENTDATASET.COMPANYCRITERIADataTable myCRITERIAtable = myCRITERIAdataset.COMPANYCRITERIA;
            PLACEMENTDATASET.COMPANYCRITERIARow myCRITERIArow = myCRITERIAtable.NewCOMPANYCRITERIARow();

            myCRITERIArow.BeginEdit();
            myCRITERIArow.APPEARINGSEMSNO = Convert.ToInt32(drpappearingsem.SelectedValue);
            myCRITERIArow.APPEARINGREGULATIONSNO = Convert.ToInt32(drpappearingregulation.SelectedValue);
            myCRITERIArow.SSLCPERCENTAGE = Convert.ToDouble(txtsslc.Text);
            myCRITERIArow.HSCPERCENTAGE = Convert.ToDouble(txthsc.Text);
            myCRITERIArow.SEMAGGREGATE = Convert.ToDouble(txtsemagg.Text);
            
            myCRITERIArow.HISTORYOFARREAR = Convert.ToInt32(drphistory.SelectedValue);
            myCRITERIArow.STANDINGARREAR = Convert.ToInt32(txtstandarrears.Text );
            myCRITERIArow.COMPANYPROFILESNO = companyprofilesno;
            myCRITERIArow.EndEdit();

            myCRITERIAtable.AddCOMPANYCRITERIARow(myCRITERIArow);

            SqlDataAdapter adapCRITERIAins = new SqlDataAdapter();
            adapCRITERIAins.InsertCommand = insertcmd;

            adapCRITERIAins.Update(myCRITERIAdataset, "COMPANYCRITERIA");
            myCRITERIAdataset.AcceptChanges();
        }
        catch
        {

        }


      //  int [] selected =new int [Convert.ToInt32(chkappbranch.Items.Count)];

    /*    for (int i = 0; i < (Convert.ToInt32(chkappbranch.Items.Count)); i++)
        {
            if (chkappbranch.Items[i].Selected == true)
            {
                selected[i] =Convert.ToInt32( chkappbranch.Items[i].Value);
            }
            else
                selected[i] = 0;


        }*/


       

     
       
         SqlConnection myplacementcon = new SqlConnection();
          myplacementcon.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
            
       
          SqlCommand insertcmd1 = new SqlCommand();
          insertcmd1.CommandText = "INSERT INTO APPEARINGBRANCH VALUES(@BRANCHSNO,@COMPANYPROFILESNO)";
          insertcmd1.Connection = myplacementcon;
          insertcmd1.Parameters.Add("@BRANCHSNO", SqlDbType.Int, 4, "BRANCHSNO");
          insertcmd1.Parameters.Add("@COMPANYPROFILESNO", SqlDbType.Int, 4, "COMPANYPROFILESNO");
           PLACEMENTDATASET mydataset1 = new PLACEMENTDATASET();
            PLACEMENTDATASET.APPEARINGBRANCHDataTable  mytableappbranch = mydataset1.APPEARINGBRANCH ;
            

        
        for(int i=0;i<Convert.ToInt32(chkappbranch.Items.Count);i++)
        {
            if (chkappbranch.Items[i].Selected == true)
            {
         PLACEMENTDATASET.APPEARINGBRANCHRow myrow = mytableappbranch.NewAPPEARINGBRANCHRow();

          myrow.BeginEdit();
          myrow.BRANCHSNO = Convert.ToInt32(chkappbranch.Items[i].Value);
          myrow.COMPANYPROFILESNO  = companyprofilesno ;

          myrow.EndEdit();

          mytableappbranch.AddAPPEARINGBRANCHRow(myrow);
            }

            SqlDataAdapter adap = new SqlDataAdapter();
            adap.InsertCommand = insertcmd1;


            adap.Update(mydataset1, "APPEARINGBRANCH");
            mydataset1.AcceptChanges();




        }


       


    }
    
   

    protected void Button1_Click(object sender, EventArgs e)
    {
        Calendar1.Visible = true;
        TextBox1.Text = Convert.ToString(Calendar1.SelectedDate);

    }
    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {

    }
    protected void btnnext_Click(object sender, EventArgs e)
    {

    }
}


