using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class EditVenue : System.Web.UI.Page
{
    AddVenue myvenuedataset = new AddVenue();
    protected void Page_Load(object sender, EventArgs e)
    {
        lblError.Visible = false;
        if (!IsPostBack)
        {
            BindGrid();
        }

        SqlConnection myconnection1 = new SqlConnection();
        myconnection1.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

        SqlCommand SelCommand = new SqlCommand();
        SelCommand.CommandText = "SELECT  * FROM VENUE ORDER BY VENUESNO";
        SelCommand.Connection = myconnection1;


        SqlDataAdapter adapter = new SqlDataAdapter();

        adapter.SelectCommand = SelCommand;

        adapter.Fill(myvenuedataset, "VENUE");
        myvenuedataset.AcceptChanges();

    }

    void BindGrid()
    {


        SqlDataAdapter myadapter = new SqlDataAdapter();
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
        SqlCommand selCmd = new SqlCommand();
        selCmd.CommandText = "SELECT VENUE FROM VENUE ORDER BY VENUESNO";
        selCmd.Connection = myconnection;
        DataSet dsDataSet = new DataSet();
        myadapter.SelectCommand = selCmd;
        myadapter.Fill(dsDataSet, "VENUE");
        DataGridEditVenue.DataSource = dsDataSet.Tables[0];
        DataGridEditVenue.DataBind();

    }
    protected void DataGridEditVenue_EditCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditVenue.EditItemIndex = e.Item.ItemIndex;
        Session["VenueSno"] = myvenuedataset.VENUE.DefaultView[e.Item.ItemIndex][0];
        BindGrid();

    }
    protected void DataGridEditVenue_UpdateCommand(object source, DataGridCommandEventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";


        SqlCommand selcommand = new SqlCommand();

        AddVenue dsSet = new AddVenue ();

        selcommand.CommandText = "SELECT * FROM VENUE WITH(ROWLOCK) WHERE VENUESNO= @VENUESNO ";
        selcommand.Connection = myconnection;
        selcommand.Parameters.Add("@VENUESNO", SqlDbType.Int, 4, "VENUESNO");


        SqlDataAdapter adapterselect = new SqlDataAdapter();


        adapterselect.SelectCommand = selcommand;

        selcommand.Parameters["@VENUESNO"].Value = Session["VenueSno"];


        adapterselect.Fill(dsSet, "VENUE");
        dsSet.AcceptChanges();





        SqlCommand UpdCommand = new SqlCommand();

        UpdCommand.CommandText = "UPDATE VENUE SET VENUE = @VENUE  WHERE VENUESNO = @VENUESNO";
        UpdCommand.Connection = myconnection;
        UpdCommand.Parameters.Add("@VENUESNO", SqlDbType.Int, 4, "VENUESNO");
        UpdCommand.Parameters.Add("@VENUE", SqlDbType.VarChar, 50, "VENUE");
        


        SqlDataAdapter adapter = new SqlDataAdapter();

        if (dsSet.VENUE.Rows.Count != 0)
        {
            AddVenue.VENUEDataTable mytable = dsSet.VENUE;

            mytable.DefaultView[0][1] = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
            

            adapter.UpdateCommand = UpdCommand;
            UpdCommand.Parameters["@VENUESNO"].Value = Session["VenueSno"];
            adapter.Update(dsSet, "VENUE");

            dsSet.AcceptChanges();

            DataGridEditVenue.EditItemIndex = -1;
            BindGrid();

        }

        else
        {
            lblError.Visible = true;
            lblError.Text = "The row you updated is modified or deleted by another user";

            DataGridEditVenue.EditItemIndex = -1;
            BindGrid();

        }


    }
    protected void DataGridEditVenue_CancelCommand(object source, DataGridCommandEventArgs e)
    {
        DataGridEditVenue.EditItemIndex = -1;
        BindGrid();

    }
    protected void DataGridEditVenue_DeleteCommand(object source, DataGridCommandEventArgs e)
    {

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";


        SqlCommand delCmd = new SqlCommand();

        delCmd.CommandText = "DELETE VENUE WHERE VENUESNO = @VENUESNO";
        delCmd.Connection = myconnection;
        delCmd.Parameters.Add("@VENUESNO", SqlDbType.Int, 4, "VENUESNO");

        SqlDataAdapter adapter = new SqlDataAdapter();

        DataTable tblbranc =myvenuedataset.Tables [0];

        tblbranc.Rows[e.Item.ItemIndex].Delete();
        try
        {

            adapter.DeleteCommand = delCmd;
            adapter.Update(myvenuedataset, "VENUE");
        }
        catch
        {
            lblError.Visible = true;
            lblError.Text = " Cannot DELETE ";
        }

        myvenuedataset.AcceptChanges();
        BindGrid();

    }

    
}
