using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class ROUNDRESULT : System.Web.UI.Page
{

    ArrayList idcheck  = new ArrayList();
      
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            int ap = Convert.ToInt32(Session["appearroundnumber"]);
            ap++;
            Session["nextappear"] = ap;
            btnnextresult.PostBackUrl = "~/APPEARANCE.aspx";

        }



            txtresultdate.Text = Convert.ToString(clresult.SelectedDate);
            lblroundresultno.Text = Convert.ToString(Session["appearroundnumber"]);

            lblresultroundname.Text = Convert.ToString(Session["roundname"]);



            DataGrid GridResult = new DataGrid();
            GridResult.ID = "Gridstaffassign";
            GridResult.BorderColor = System.Drawing.Color.Black;
            GridResult.CellPadding = 3;
            GridResult.AutoGenerateColumns = false;
            GridResult.HeaderStyle.BackColor =
                System.Drawing.Color.FromArgb(0x0000aaaa);


            GridResult.Columns.Add(CreateBoundColumn("Select ShortListed Candidates", "Select ShortListed Candidates"));
            GridResult.Columns.Add(CreateBoundColumn("Regno", "Regno"));
            GridResult.Columns.Add(CreateBoundColumn("Name", "Name"));
            GridResult.Columns.Add(CreateBoundColumn("BRANCHSHORTFORM", "Branch"));





            GridResult.DataSource = CreateDataSource();
            GridResult.DataBind();
            Place.Controls.Add(GridResult);

            DataGrid dg = (DataGrid)Place.Controls[0];
            if (!IsPostBack)
               {
            idcheck.Capacity = dg.Items.Count;
              }
            for (int i = 0; i < dg.Items.Count; i++)
            {
                dg.Items[i].Cells[0].Controls.Add(ParseControl("<asp:CheckBox ID='Ckshortlisted' runat='server' />"));
                CheckBox ck = (CheckBox)dg.Items[i].Cells[0].Controls[0].FindControl("Ckshortlisted");
                ck.ID = "Ckshortlisted" + Convert.ToString(i);
                idcheck.Add("Ckshortlisted" + Convert.ToString(i));

            }
        
    }



    ICollection CreateDataSource()
    {

        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

        SqlCommand selCmd1 = new SqlCommand();
        selCmd1.CommandText = "SELECT     ast.REGNO, sp.NAME, b.BRANCHSHORTFORM FROM APPEARINGSTUDENT AS ast INNER JOIN STUDENTPERSONAL AS sp ON ast.REGNO = sp.REGNO INNER JOIN BRANCH AS b ON b.BRANCHSNO = sp.BRANCHSNO WHERE(ast.APPEARSNO = @APPEARSNO)";
        selCmd1.Connection = myconnection;

        selCmd1.Parameters.Add("@APPEARSNO", SqlDbType.Int, 4, "APPEARSNO");
        SqlDataAdapter myadapter = new SqlDataAdapter();
        DataSet datasetappear = new DataSet();
        myadapter.SelectCommand = selCmd1;

        selCmd1.Parameters["@APPEARSNO"].Value = Session["appearsno"];

        DataSet ds = new DataSet();
        myadapter.Fill(ds, "APPEARINGSTUDENT");
        datasetappear.AcceptChanges();
        ds.Tables[0].Columns.Add("Select ShortListed Candidates");
          DataView dv = new DataView(ds.Tables[0]);
     
        return dv;
    }



    BoundColumn CreateBoundColumn(String DataFieldValue, String HeaderTextValue)
    {

        BoundColumn column = new BoundColumn();
        column.DataField = DataFieldValue;
        column.HeaderText = HeaderTextValue;
        return column;

    }

    

    protected void btnviewcalender_Click(object sender, EventArgs e)
    {

    }
    protected void btnresultsave_Click(object sender, EventArgs e)
    {
        SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";

        SqlCommand inscmd = new SqlCommand();
        inscmd.CommandText = "INSERT INTO ROUNDRESULT VALUES(@COMPANYPROFILESNO,@APPEARSNO);SELECT * FROM ROUNDRESULT WHERE ( RESULTSNO = SCOPE_IDENTITY() )";
        inscmd.Connection = myconnection;
        inscmd.Parameters.Add("@COMPANYPROFILESNO", SqlDbType.Int, 4, "COMPANYPROFILESNO");
        inscmd.Parameters.Add("@APPEARSNO", SqlDbType.Int, 4, "APPEARSNO");
        
        PLACEMENTDATASET dsDataSet = new PLACEMENTDATASET();
        PLACEMENTDATASET.ROUNDRESULTDataTable roundresulttable = dsDataSet.ROUNDRESULT;
        PLACEMENTDATASET.ROUNDRESULTRow roundresultrow = roundresulttable.NewROUNDRESULTRow();

        roundresultrow.BeginEdit();
        roundresultrow.APPEARSNO = Convert.ToInt32( Session["appearsno"]);
        roundresultrow.COMPANYPROFILESNO = Convert.ToInt32(Session["companyprofilesno"]);
        roundresultrow.RESULTSNO = 10;
        roundresulttable.AddROUNDRESULTRow(roundresultrow);
        roundresultrow.EndEdit();


        SqlDataAdapter adap = new SqlDataAdapter();
        adap.InsertCommand = inscmd;
        adap.Update(dsDataSet, "ROUNDRESULT");
        dsDataSet.AcceptChanges();


        Session["resultsno"] = dsDataSet.ROUNDRESULT.DefaultView[0][0];


        
        SqlCommand inscmdStudent = new SqlCommand();
        inscmdStudent.CommandText = "INSERT INTO ROUNDRESULTSTUDENT VALUES(@RESULTSNO,@REGNO)";
        inscmdStudent.Connection = myconnection;
        inscmdStudent.Parameters.Add("@RESULTSNO", SqlDbType.Int, 4, "RESULTSNO");
        inscmdStudent.Parameters.Add("@REGNO", SqlDbType.Int, 4, "REGNO");
        PLACEMENTDATASET roundresultDS = new PLACEMENTDATASET();
        PLACEMENTDATASET.ROUNDRESULTSTUDENTDataTable stuDatatable = roundresultDS.ROUNDRESULTSTUDENT;

         DataGrid dg = (DataGrid)Place.Controls[0];
         for (int i = 0;i< dg.Items.Count; i++)
         {
             PLACEMENTDATASET.ROUNDRESULTSTUDENTRow sturow = stuDatatable.NewROUNDRESULTSTUDENTRow();
             CheckBox ck = (CheckBox)dg.Items[i].Cells[0].Controls[0].FindControl(Convert.ToString( idcheck[i]));
             if (ck.Checked == true)
             {
                 sturow.BeginEdit();
                 sturow.RESULTSNO = Convert.ToInt32(Session["resultsno"]);
                 sturow.REGNO =Convert.ToInt32 ( dg.Items[i].Cells[1].Text);
                 sturow.EndEdit();
                 stuDatatable.AddROUNDRESULTSTUDENTRow(sturow);
             }
         }


         SqlDataAdapter adap1 = new SqlDataAdapter();
         adap1.InsertCommand = inscmdStudent;
         adap1.Update(roundresultDS, "ROUNDRESULTSTUDENT");
         roundresultDS.AcceptChanges();

        






    }
   protected void Button1_Click(object sender, EventArgs e)
    {
        /*SqlConnection myconnection = new SqlConnection();
        myconnection.ConnectionString = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|placement.mdf;User Instance=true";
        SqlCommand inscmd = new SqlCommand();
        inscmd.CommandText = "INSERT INTO ROUNDRESULTSTUDENT VALUES(@RESULTSNO,@REGNO)";
        inscmd.Parameters.Add("@RESULTSNO", SqlDbType.Int, 4, "RESULTSNO");
        inscmd.Parameters.Add("@REGNO", SqlDbType.Int, 4, "REGNO");

        PLACEMENTDATASET dsDataSet = new PLACEMENTDATASET();
        PLACEMENTDATASET.ROUNDRESULTSTUDENTDataTable  roundresulttable = dsDataSet.ROUNDRESULTSTUDENT ;
        PLACEMENTDATASET.ROUNDRESULTSTUDENTRow  roundresultrow = roundresulttable.NewROUNDRESULTSTUDENTRow();

       */

       
    }
    protected void chkfinalround_CheckedChanged(object sender, EventArgs e)
    {
        if (chkfinalround.Checked == true)
        {
            btnnextresult.PostBackUrl = "~/FINALRESULT.aspx";
        }
        else
        {
            btnnextresult.PostBackUrl = "~/APPEARANCE.aspx";
        }
    }
    protected void btnnextresult_Click(object sender, EventArgs e)
    {

    }
}
